<div class="row">
	<div class="col-md-8">



<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
    
   
   <div class="form-group">
      <label for="httpPort" class="col-sm-3 control-label">Primary HTTP Port:</label>
      <div class="col-sm-9">
         <input type="number" placeholder="Primary HTTP Port" name="httpPort" id="httpPort" value="<%= request.getAttribute("httpPort") == null ? "" : request.getAttribute("httpPort") %>" class="form-control" required>
          <span class="help-block m-b-none">TCP/IP port for the built-in HTTP server. We recommend you use port 80 for this value, unless some other web server is being used on the machine.</span>
      </div>
   </div>
   <div class="form-group">
      <label for="httpPort2" class="col-sm-3 control-label">Secondary HTTP Port:</label>
      <div class="col-sm-9">
         <input type="number" name="httpPort2" id="httpPort2" value="<%= request.getAttribute("httpPort2") == null ? "" : request.getAttribute("httpPort2") %>" placeholder="Secondary HTTP Port" class="form-control" required>
          <span class="help-block m-b-none">TCP/IP port for the secondary HTTP server. A value greater than 0 for this field will cause Syncrify to listen to another TCP/IP port.</span>
      </div>
   </div> 
   <div class="form-group">
      <label for="httpPortSSL" class="col-sm-3 control-label">Secure HTTP Port:</label>
      <div class="col-sm-9">
         <input type="number" name="httpPortSSL" id="httpPortSSL" value="<%= request.getAttribute("httpPortSSL") == null ? "" : request.getAttribute("httpPortSSL") %>" placeholder="Secure HTTP Port" class="form-control" required>
          <span class="help-block m-b-none">TCP/IP port for secure HTTP server (SSL). <a href="<%=response.encodeURL("app?operation=synSSL") %>">Click here</a> to manage SSL Certificate from Let's Encrypt.</span>
      </div>
   </div>     
   <div class="form-group">
      <label for="preferredUrl" class="col-sm-3 control-label">Preferred URL:</label>
      <div class="col-sm-9">
         <input placeholder="Preferred URL" type="url" name="preferredUrl" id="preferredUrl" value="<%= request.getAttribute("preferredUrl") == null ? "" : request.getAttribute("preferredUrl") %>" class="form-control">
          <span class="help-block m-b-none">If specified, the server will ask clients to use this URL when connecting.</span>
      </div>
   </div>
   
   
   <%
   if(request.getAttribute("useUpnp") != null && request.getAttribute("useUpnp").toString().trim().length() > 0){
	   //Upnp has been deprecated. Therefore, no need to display this field if it is not used
   %>
   <div class="form-group">
      <div class="col-lg-offset-3 col-lg-9">
         <div class="checkbox c-checkbox">
            <label for="useUpnp">
               <input type="checkbox" name="useUpnp" id="useUpnp" <%=request.getAttribute("useUpnp") %> value="1" />
               <span class="fa fa-check"></span>Enable UPnP</label>
         </div>
          <span class="help-block m-b-none">If checked, Syncrify will automatically attempt to configure your network firewall, provided UPNP (Universal Plug-n-Play) is supported.
          <b>IMPORTANT: This feature has been deprecated. Do NOT use it anymore.</b>
          </span>
      </div>
   </div>
   <%
   }
   %>
</fieldset>     
   <div class="form-group">
      <div class="col-sm-offset-3 col-sm-9">
          <LABEL for="proceedButton">&nbsp;</LABEL>	
         <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Save</button>
      </div>
   </div>
    <input type="hidden" name="operation" value="config" />
    <input type="hidden" name="st" value="saveBasic" />
</form>


</div>
	<div class="col-md-4">

	
	<!-- START panel-->
    <div id="tabTip3" class="panel panel-danger">
       <div class="panel-heading">TIP:</div>
       <div class="panel-body">
       <p><b>IMPORTANT: </b>Changes on this page won't take affect until Syncrify is restarted.</p> 
       </div>
       
    </div>
    <!-- END panel-->
	</div>
</div>	