<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>


<%
boolean isBlockedByIP = request.getAttribute("showIP").equals("true");
String blHeader = isBlockedByIP ? "Blocked IP Addresses" : "Blocked Users";
%>

<div class="content-heading"><i class="icon-info"></i> <%= blHeader %></div>
<div class="row">
	<div class="col-md-9">
	  <!-- START panel-->
	  <div class="panel panel-primary">
	     <div class="panel-heading">Currently <%= blHeader %></div>
	     <div class="panel-body">
	        
			<h1><%= blHeader %></h1>
			<p>There are two reasons why SynaMan could block an IP address:
			
			<ol>
				<li>Too many incorrect userid/password combination are received.</li>
				<li>Unexpected HTTP requests are received phishing for vulnerabilities.</li>
			</ol>
			</p>
			
			<p>
			
			<%
			if(isBlockedByIP){
				%>
				No one will be able to connect to Syncrify from a blocked IP address even if they use correct credentials.
				<%
			}else{
				%>
				Blocked users will not be able to connect to Syncrify even if they use correct user id/password.
				<%
			}
			%>
			
			</p>
			
			
			
			<h2><%= blHeader %> due to incorrect user id/password</h2>
			<%
			List<String[]> blip = (List<String[]>) request.getAttribute("blip");
			
			if(blip.size() == 0){
				%>
				<p>
				<div class="alert alert-warning">No IP addresses are currently blocked.</div></p>
				<%
			}else{
				%>
				
				<table class="table table-bordered table-condensed">
					<thead>
					<tr>
						<th><%= blHeader %></th>
						<th>First Attempt</th>
						<th>Last Attempt</th>
						<th>Total Attempts</th>
						<th>Action</th>
					</tr>
					</thead>
					
					<%
					for(String[] oneRec : blip){
					
						%>
						<tr>
							<td><%=oneRec[0] %></td>
							<td><%=oneRec[1] %></td>
							<td><%=oneRec[2] %></td>
							<td><%=oneRec[3] %></td>
							<td><a href="<%=response.encodeURL("app?operation=config&st=" +  (isBlockedByIP ? "remip" : "remusr")+ "&ip=" + oneRec[0] )%>">Remove</a></td>
							
						</tr>
						<%
					}
					%>
				</table>
				
				<%
			}
			
			
			
			if(isBlockedByIP){
				%>
				<h2>Blocked IP due to unexpected requests</h2>
				<%
				List<String[]> buggers = (List<String[]>) request.getAttribute("buggers");
				
				if(buggers == null || buggers.size() == 0){
					%>
					<p>
					<div class="alert alert-warning">No IP addresses are currently blocked.</div></p>
					<%
				}else{
					%>
					
					<table class="table table-bordered table-condensed">
						<thead>
						<tr>
							<th>IP Address</th>
							<th>First Attempt</th>
							<th>Last Attempt</th>
							<th>Total Attempts</th>
							<th>Action</th>
						</tr>
						</thead>
						
						<%
						for(String[] oneRec : buggers){
							%>
							<tr>
								<td><%=oneRec[0] %></td>
								<td><%=oneRec[1] %></td>
								<td><%=oneRec[2] %></td>
								<td><%=oneRec[3] %></td>
								<td><a href="<%=response.encodeURL("app?operation=config&st=remipb&ip=" + oneRec[0] )%>">Remove</a></td>
								
							</tr>
							<%
						}
						%>
					</table>
					
					<%
				}
			}
			%>	        
	        
	        
	     </div>
	  </div>
	  <!-- END panel-->
	</div>






<%@ include file="Footer.jsp" %>