<%@ include file="Header.jsp" %>
    
<div class="content-heading">Version Update
<%@ include file="Breadcrumbs.jsp" %>

</div>
<div class="row">  
    
<%
String isAvailable = (String)request.getAttribute("isAvailable");
if(isAvailable == null){ 
	//isAvailable = "yes"; %>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
	   <% out.println("Insufficient data. Cannot proceed"); %>
    </div>
  </div>
</div> 
    
<% return; }
if(isAvailable.equals("yes")){
%>
   

<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-primary">
     <div class="panel-heading">New version is available</div>
     <div class="panel-body">
	     
	     <div class="row">
	     	<div class="col-md-4"><a href='app?operation=getNewVer'><img src="images/downloadIcon.png" width="128"></a></div>
	     	<div class="col-md-8">
		     	<p>A new version is available for you to download.</p>
				<p><center>
				
				<a href="<%=response.encodeURL("app?operation=getNewVer") %>" 
				title="Click here to download the latest version">
				<button class="btn btn-primary">Download Now</button></a>
				
				</center>
				</p>
						
				<h4>Next steps</h4>
				
				<ul class="syn">
					<li><em class="icon-options"> </em> Syncrify server will pull new files from Synametrics' web server</li>
					<li><em class="icon-options"> </em> Once the files are downloaded successfully, you will have to restart Syncrify.</li>		
				</ul>
				
				<div class="alert alert-info"><h4>IMPORTANT</h4> Ensure backups are not running when you restart Syncrify.</div>
	     	</div>
	     	
	     </div>   
			
	
    	</div>     
    </div>

    
    <h2>Frequently Asked Questions</h2>
    
    <div  class="panel panel-primary">
    
	    <div class="panel-heading">Will I have to upgrade every client?</div>
	    <div class="panel-body">  
			No. Starting from v3.3 Service based clients upgrade themselves automatically when they find a newer build
			running on the server.
			<br><br>
			Integrated client must be upgraded manually to the newer build.
	    </div>
     </div>
     
     
     <div  class="panel panel-primary">
    
	    <div class="panel-heading">Can an older client connect to a newer server or vice-versa?</div>
	    <div class="panel-body">  
			Yes. Older clients will work with a newer version of Syncrify. Similarly, a older server will work with a newer client. Both Syncrify server and client are 
			designed to downgrade themselves on they fly when connecting to an older counterpart.
	    </div>
     </div>
     
     
     <div  class="panel panel-primary">
	    <div class="panel-heading">What happens if Syncrify server is restarted while backups are running?</div>
	    <div class="panel-body">  
			Backups jobs will fail if a server is restarted. However, files that fail to backup should get copied 
			next time a client runs backup for the same profile.
	    </div>
     </div>
     
     
  <!-- END panel-->
</div>	
	<%
}else{
	%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
 <div  class="panel panel-primary">
    <div class="panel-heading">No Update Required</div>
    <div class="panel-body"> 
    
    
       
    <div class="row">
    	<div class="col-md-1"><i class="fa icon-emotsmile fa-4x"></i></div>
    	<div class="col-md-11">
    		<p>
			You are running the latest version of Syncrify. Please try again at a later time to see if a newer version is available.
			</p>
			
			<br><br><br>
			<div class="well well-sm">
			<a href="<%=response.encodeURL("app?operation=checkNewVersion&st=mu") %>">Click here</a> 
			if you have received a special build from Synametrics support for a newer version.
	
			</div>
    	</div>
    </div>
	
	
	
	
	
	
    </div>
  </div>
  <!-- END panel-->
</div>    
	<%
}
%>
<%@ include file="Footer.jsp" %>