<%@ include file="Header.jsp" %>

<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Syncrify Configuration
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
               
</div>



<%
String errorMessage = (String)request.getAttribute("errorMessage");
String infoMessage = (String) request.getAttribute("infoMessage");

if(errorMessage != null){
	%>
	
	<div class="alert alert-danger"><h4>Error</h4><%= errorMessage %></div>
	<%
}

if(infoMessage != null){
	%>
	<div class="alert alert-warning"><%= infoMessage %></div>
	<%
}





if(request.getAttribute("restartNeeded") != null && request.getAttribute("restartNeeded").equals("true")){
	%>

	<div style="padding:15px;"><form action="<%=controllerPath%>"  method="post" ><input class="btn btn-sm btn-default" type="submit" value="Restart Syncrify" title="Click this button to restart the server"> <input type="hidden" name="operation" value="restart"> </form></div>

	<%
}

%>
<div class="row">
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-heading">Configurations</div>
     <div class="panel-body">
        <div role="tabpanel">
           <!-- Nav tabs-->
           <ul role="tablist" class="nav nav-tabs">
              <li role="presentation" class="active"><a href="#emailConfig" aria-controls="emailConfig" role="tab" data-toggle="tab">Email Configuration</a></li>
              <li role="presentation"><a href="#security" aria-controls="security" role="tab" data-toggle="tab">Security</a></li>
              <li role="presentation"><a href="#httpConfig" aria-controls="httpConfig" role="tab" data-toggle="tab">HTTP Configuration</a></li>
            <% if(request.getAttribute("showProxyTab") != null){ %>
              <li role="presentation"><a href="#httpProxy" aria-controls="httpProxy" role="tab" data-toggle="tab">HTTP Proxy</a></li>
            <% } %>
              <li role="presentation"><a href="#ldapConfig" aria-controls="ldapConfig" role="tab" data-toggle="tab">Active Directory/LDAP</a></li>	
           </ul>
           <!-- Tab panes-->
           <div class="tab-content">
              <div id="emailConfig" role="tabpanel" class="tab-pane active"> <%@ include file="SmtpConfig.jsp" %> </div>
              <div id="security" role="tabpanel" class="tab-pane"> <%@ include file="SecurityConfig.jsp" %> </div>
              <div id="httpConfig" role="tabpanel" class="tab-pane"> <%@ include file="BasicConfig.jsp" %> </div>
            <% if(request.getAttribute("showProxyTab") != null){ %>
              <div id="httpProxy" role="tabpanel" class="tab-pane"> <%@ include file="HttpProxyConfig.jsp" %> </div>
            <% } %>
              <div id="ldapConfig" role="tabpanel" class="tab-pane"> <%@ include file="LdapConfig.jsp" %> </div>	
           </div>
        </div>
     </div>
  </div>
  <!-- END panel-->
</div>

<%@ include file="Footer.jsp" %>



<%
	if(request.getAttribute("ldapEnabled").toString().length() > 0){
		%>
		
		

		
		<!-- Modal -->
		<div id="myModal" class="modal fade" role="dialog" tabindex="-1" >
		  <div class="modal-dialog">
		
		    <!-- Modal content-->
		    <div class="modal-content">
		      <div class="modal-header">
		        <button type="button" class="close" data-dismiss="modal">&times;</button>
		        <h4 class="modal-title">Test User's Credentials</h4>
		      </div>
		      <div class="modal-body">
		      
		      	<p>Enter email and password to test connectivity. This test will not create any local accounts in Syncrify.</p>
		        <p>
					
					<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
					  <div class="form-group">
					    <label for="inputEmail3" class="col-sm-2 control-label">Email</label>
					    <div class="col-sm-10">
					      <input type="email" class="form-control" id="inputEmail3" name="uid" placeholder="Email" required>
					    </div>
					  </div>
					  <div class="form-group">
					    <label for="inputPassword3" class="col-sm-2 control-label">Password</label>
					    <div class="col-sm-10">
					      <input type="password" class="form-control" id="inputPassword3" name="pwd" placeholder="Password" required>
					    </div>
					  </div>
				

					  <div class="form-group">
					    <div class="col-sm-offset-2 col-sm-10">
					      <button type="submit" class="btn btn-warning">Authenticate</button>
					    </div>
					  </div>
					  
					  
						<input type="hidden" name="operation" value="config" />
			    		<input type="hidden" name="st" value="testLdap" />
			    		
					</form>
					
					
					
					
					
					
					

				</p>
		      </div>
		      
		    </div>
		
		  </div>
		</div>


		<%
	}
	%>

	
	