<%@ include file="SetupTop.jsp" %>
    <div class="panel-heading">Database Setup</div>
    <div class="panel-body">
      <div class="row"><div class="col-md-3"><i class="fa fa-cogs" style="font-size: 100px;"></i></div></div>
       <p class="col-md-offset-3 col-md-9"><b>Specify connection parameters for your database</b></p>
       <form class="form-horizontal" action="<%=controllerPath%>" method="post">
           <div class="form-group">
              <label class="col-lg-3 control-label">Database Server Host:</label>
              <div class="col-lg-9">
                <input type="text" name="dbServerHost" value="<%=request.getAttribute("dbServerHost") == null ? "" : request.getAttribute("dbServerHost")  %>" title="IP address or host name where the database server is running." class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">TCP/IP port:</label>
              <div class="col-lg-9">
                <input type="text" name="dbServerPort" value="<%=request.getAttribute("dbServerPort") == null ? "" : request.getAttribute("dbServerPort")  %>" title="TCP/IP port where database is listening for client connections." class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Database name:</label>
              <div class="col-lg-9">
                <input type="text" name="dbName" value="<%=request.getAttribute("dbName") == null ? "Syncrify" : request.getAttribute("dbName")  %>" title="Name of the database. This must be an existing database." class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">User ID:</label>
              <div class="col-lg-9">
                <input type="text" name="dbUID" value="<%=request.getAttribute("dbUID") == null ? "" : request.getAttribute("dbUID")  %>" 
				title="User's login ID." class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Password:</label>
              <div class="col-lg-9">
                <input type="password" name="dbPWD" value="<%=request.getAttribute("dbPWD") == null ? "" : request.getAttribute("dbPWD")  %>" 
				title="User's password." class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Export existing users:</label>
              <div class="col-lg-9">
                 <div class="checkbox c-checkbox">
                    <label>
                       <input type="checkbox" name="exportExisting" value="1" checked="checked" title="Existing users in Syncrify will be exported to the table if this box is checked">
                       <span class="fa fa-check"></span>Export existing users to the database.</label>
                 </div>
              </div>
           </div>
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 When you click next, Syncrify will create a table in the database that is used to store users.
              </div>
           </div>
           <div align="right">
                <button class="btn btn-default"><i class="fa fa-arrow-right" style="font-size: 72px;"></i></button>
            </div>
        <input type="hidden" name="operation" value="rdbms" />
		<input type="hidden" name="st" value="createTable" />
		<input type="hidden" name="dbType" value="<%=request.getParameter("dbType") %>" />
        </form>
   </div>
		
<%@ include file="SetupBottom.jsp" %>