<%@ page import="java.util.*, com.synametrics.commons.ant.task.*" %>

<html>
<head>
<META HTTP-EQUIV="Refresh" CONTENT="3">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<!-- =============== VENDOR STYLES ===============-->
<!-- FONT AWESOME-->
<link rel="stylesheet" href="ContentTheme/vendor/fontawesome/css/font-awesome.min.css">
<!-- SIMPLE LINE ICONS-->
<link rel="stylesheet" href="ContentTheme/vendor/simple-line-icons/css/simple-line-icons.css">
<!-- =============== BOOTSTRAP STYLES ===============-->
<link rel="stylesheet" href="ContentTheme/css/bootstrap.css" id="bscss">
<!-- =============== APP STYLES ===============-->
<link rel="stylesheet" href="ContentTheme/css/app.css" id="maincss">
    
<script language="javascript" type="text/javascript">
function redirect(URLStr){  top.location.href = URLStr; }
</script>
</head>
<body topmargin="0" leftmargin="0" bottommargin="0" style="background: white;">

    <%
    String controllerPath = com.synametrics.sradef.config.StaticConfig.getInstance().getControllerPath();

    if(System.getProperty("enable.CSRF.prevention", "false").equalsIgnoreCase("true")){
    	controllerPath = response.encodeURL(controllerPath);
    }
    
    String fileName = DownloadProgressManager.getInstance().getFileName();
    int percentDone = (int)DownloadProgressManager.getInstance().getPercentDone(fileName);

    if(DownloadProgressManager.getInstance().getErrorCount() > 0){
        out.println("An error occurred during download. Error message is: " +
        DownloadProgressManager.getInstance().getLastErrorMessage() + "<br>Please try downloading " +
       "the update again. If the problem persists, contact the support department" );
       return;
    }


    if(DownloadProgressManager.getInstance().isJobFinished()){
        %>
		<!-- 
        <form action="<%=controllerPath%>" method="post" class="form-horizontal">

            <p>Download completed successfully. Click the button to restart the program.<p>
            
            <input class="btn btn-sm btn-primary" type="submit" value="Restart"/>
            <input type="hidden" name="operation" value="restart" />

        </form> -->
        
        <a href="app?operation=restart" title="Click to restart Syncrify Server" target="_top"><button class="btn btn-primary">Restart</button></a>
        <%
    }else{
    %>

        <fieldset>
        <legend> Downloading <%=fileName %>.  <%=DownloadProgressManager.getInstance().getPercentDoneStr(fileName) %> Completed </legend>
        
        <div class="progress">
         <div role="progressbar" aria-valuenow="<%=percentDone%>" aria-valuemin="0" aria-valuemax="100" style="width: <%=percentDone%>%" class="progress-bar progress-bar-info progress-bar-striped">
            <span class="sr-only"><%=percentDone%>% Complete (success)</span>
         </div>
        </div>
        </fieldset>    

    <%
    }
    %>
</body>
</html>
