<%@ include file="Header.jsp" %>

<%
if(request.getAttribute("sslNotEnabled") != null){
	%>
	<div class="alert alert-warning">
		<h4>Warning</h4>
		Although you have a valid SSL certificate, you have not configured Syncrify to listen on HTTPS. 
		<a href="<%=response.encodeURL("app?operation=config&st=main") %>">Click here</a>
		to configure it.
	</div>
	<%
}
%>



<div class="content-heading">
<%@ include file="ConfigButtons.jsp" %>
<i class="icon-info"></i>  SSL Certificate

<%@ include file="Breadcrumbs.jsp" %>
</div>
<div class="row">
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-primary">
     <div class="panel-heading">SSL Certificate with Let's Encrypt</div>
     <div class="panel-body">
     
     <%
		String errorMessage = (String)request.getAttribute("errorMessage");
		if(errorMessage != null){
			out.println("<div class='alert alert-danger'>" + errorMessage + "</div>");
		}
	 %>
     
     
     
     <div class="row">
		 <div class="col-md-10 col-md-offset-1" id="primaryContent_2columns">
			 <div id="columnA_2columns">
			    	<div class="well">
						<h3>Let's Encrypt Terms Of Service</h3>
						Before proceeding to the next step, please take a moment to download and
						read the <a href="<%= request.getAttribute("terms") %>" target="_blank">Let's Encrypt Subscriber Agreement</a>. Note that 
						Let's Encrypt is a third party organization, which is not associated with Synametrics Technologies, Inc.
						<br><br>
						By clicking the <b>Proceed</b> button, you agree to LetsEncrypt's terms and that you have read the document. 
						<center>
						<form action="<%=controllerPath%>" method="post" name="theForm">	
								<br style="clear:both;">
								<!-- ******* Save Button | default is pulled right ******* -->
								<button class="btn btn-primary pull-right" type="submit">Proceed</button>
								
								
								<input type="hidden" name="operation" value="synSSL">
								<input type="hidden" name="st" value="termsVerified">
								
							</form>
						</center>
						<br><br>
						<br style="clear:both;">
						<div class="alert alert-warning">
							<h4>Important</h4>
							Syncrify will contact LetsEncrypt's server to generate your certificate after you proceed. This process can take some time. Do not
							double-click the Proceed button.
						</div>
					</div>
			 </div>
		 </div>
	 </div>
     
     
     
     
     </div>
  </div>
  <!-- END panel-->
</div>


<%@ include file="Footer.jsp" %>
	
	