<%@page import="com.synametrics.syncrify.bean.UserGroupBean"%>
<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 



	<div class="content-heading">
		<i class="fa fa-users"></i> User Groups
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	
	
	
	<%
	if(request.getAttribute("errorMsg") != null){
		%>
		<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
		<%
	}
	if(request.getAttribute("infoMsg") != null){
		%>
		<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
		<%
	}
	%>
	
	
		
	<%
	if(request.getAttribute("dupMgr") != null){
		%>
		
		<div class="well">
		<h2>Error - Duplicate Email</h2>
		<p>The email address assigned to the manager's email already exists in the system as either a regular user or a manager. Please use a 
		different address. </p>
		
		<p>You have the following options:</p>
		<ol>
			<li>Many email servers, such as <a href="https://www.xeams.com" target="_blank">Xeams</a>, 
				<a href="https://www.microsoft.com/en-us/microsoft-365/exchange/exchange-online" target="_blank">Office 365</a>, and 
				<a href="https://workspace.google.com/" target="_blank">Google's GSuite</a>, except emails with a <code>+</code> sign. For example, 
				you could use <code><%=request.getAttribute("dupMgr") %></code> as your login ID and you will still get emails to your inbox for this address.</code>
			</li>
			
			<li>Use a completely new email address and configure it as an alias in your email system.</li>
		</ol>
		</div>
		<%
	}
	%>



	
	<%@ include file="ModifyUserGroup.jsp" %>
	
	
	
   
	
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">


					<h2>Existing Groups</h2>
				
					<table class="table table-bordered table-hover">
					<tr>
						<th>Group Name</th>
						<th>Manager's Email</th>
						<th>Report Time</th>
						<th>Total Users</th>
						<th>Action</th>
					</tr>
				
					<%
					List<UserGroupBean> groups = (List<UserGroupBean>) request.getAttribute("groups");
					for(UserGroupBean group : groups){
						%>
						<tr>
							<td><%= group.getGroupName() %></td>
							<td><%= group.getMgrEmail() %></td>
							<td><%= group.getRepTimeFriendly() %></td>
							<td><%= group.getUserCount() %></td>
							<td>
							
								<%
								if(request.getAttribute("allowAddingUsers") != null){
									
									if(group.getGroupId() == 0){
										%>
								    	<span style="color:#cccccc;"><i class="fa fa-plus"></i> Add Users</span>
								    	<span style="color:#efefef;"><i class="icon-options"> </i></span> 
										<%
									}else{
									%>
							    	<i class="fa fa-plus"></i> <a href="<%=response.encodeURL("app?operation=manageUsers&st=autg&id=" + group.getGroupId()) %>">Add Users</a>
							    	<span style="color:#efefef;"><i class="icon-options"> </i></span> 
									<%
									}
								}
								%>
								<i class="icon-people"></i> 
								<a href="<%=response.encodeURL("app?operation=manageUsers&dgid=" + group.getGroupId()) %>">View Users</a> 
								
								
								<span style="color:#efefef;"><i class="icon-options"> </i></span>  
								<i class="icon-pencil"></i> 
								<a href="<%=response.encodeURL("app?operation=manageUsers&st=meug&id=" + group.getGroupId()) %>"
								onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
								>Modify</a> 
								

								
								<%
								if(group.getGroupId() > 0){
								%>
								
							    <span style="color:#efefef;"><i class="icon-options"> </i></span> 
							    <i class="icon-trash"></i> 
							    <a href="<%=response.encodeURL("app?operation=manageUsers&st=deug&id=" + group.getGroupId()) %>"
							     onclick="javascript:return confirm('This will permanently delete the group. Existing users will get assigned to the Default Group. Are you sure?')"
							    >Delete</a>
							    
							    <%
								}else{
									%>
									<span style="color:#efefef;"><i class="icon-options"> </i></span> 
							    	<span style="color:#cccccc;"><i class="icon-trash"></i> Delete</span> 
							    
									<%
								}
							    %>
							    
							    </td>
						</tr>
						<%
					}
					%>

					</table>
				</div>
			</div>
		</div> <!-- Mandatory ending -->



   
   
<%@ include file="Footer.jsp" %>

   <div id="tutorialVideo" tabindex="-1"  
	    			role="dialog" 
	    			aria-labelledby="myModalLabelLarge" aria-hidden="true" class="modal fade"
	    			data-backdrop="false"
	    			> 
	    		<div class="modal-dialog modal-lg">
			      <div class="modal-content">
			         <div class="modal-header">
			            <button type="button" data-dismiss="modal" aria-label="Close" class="close">
			               <span aria-hidden="true">&times;</span>
			            </button>
			            <h4 id="myModalLabelLarge" class="modal-title">Tutorial Video - User Groups</h4>
			         </div>
			         <div class="modal-body">
						 <video width="870" controls>
							  <source src="https://web.synametrics.com/files/SyncrifyUserGroup.mp4" type="video/mp4">
							  Your browser does not support the video tag.
						 </video> 
						

					</div>
			         <div class="modal-footer">
			            <button type="button" data-dismiss="modal" class="btn btn-default">Close</button>
			         </div>
			      </div>
			   </div>
   			</div>