<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-user"></i> Modify Repository Path
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading">Repository Path Migration</div>
				<div class="panel-body">


				<div class="row">
					<div class="col-md-6">
						<p>
						Using this page you could move the location of user's repository to a different value. Following will occur
						when you click proceed:
						</p>
						
						<ul>
							<li class="arrow">New folder will get created on the disk</li>
							<li class="arrow">Data will be copied from existing location to the new location</li>
							<li class="arrow">Repository path will be updated for the user</li>
							<li class="arrow">Files will be deleted from the older path</li>
							<li class="arrow">An email will be sent to <b><%= request.getAttribute("ae")%></b> once files have been moved.</li>
							
						</ul>
						
						
						
						<p>
						<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
						
						  <div class="form-group">
						    <label for="ep" class="col-sm-2 control-label">Existing Path</label>
						    <div class="col-sm-10">
						      <input type="text" class="form-control" id="ep" name="ep" readonly="readonly" placeholder="Existing path" value="<%= request.getAttribute("ep") %>" required>
						    </div>
						  </div>
						  
						  <div class="form-group">
						    <label for="np" class="col-sm-2 control-label">New Path</label>
						    <div class="col-sm-10">
						      <input type="text" class="form-control" id="np" name="np" placeholder="New path" aria-describedby="helpBlock" required>
						      
						      <span id="helpBlock" class="help-block">The system will automatically create a sub-folder called 
						      <code><%= request.getParameter("email")%></code> in the new repository path where the files will eventually be moved.</span>
						    </div>
						  </div>
						  
						
		
						  <div class="form-group">
						    <div class="col-sm-offset-2 col-sm-10">
						      <button type="submit" class="btn btn-warning">Proceed</button>
						    </div>
						  </div>
						  
						  <input type="hidden" name="operation" value="manageUsers">
						  <input type="hidden" name="st" value="pmrp">
						  <input type="hidden" name="email" value="<%= request.getParameter("email")%>">
						  
						</form>
						</p>
						
					</div>
					<div class="col-md-6">
						<div class="alert alert-info"><h4>Very Important Notes</h4>
						
						<ul  class="syn">
						<li>Ensure no backups are scheduled to run for 
						<b><%= request.getParameter("email") %></b> while files are being moved.</li>
						<li>DO NOT move repositories for multiple users simultaneously. Every request to move
						starts a background thread to copy data. Running simultaneous jobs will create cause extensive
						I/O operations and negatively affect performance.</li>
						
						</ul>
						</div>
					</div>
				</div>

				
				<!-- BODY GOES HERE -->
				
				<!-- BODY ENDS HERE -->
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>