<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >


<%=response.encodeURL("app?operation=manageUsers") %>


 -->
 
 
<div class="content-heading">
		<i class="fa icon-share-alt"></i> Shared Projects <small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>"> <!-- Mandatory Beginning -->
		
		
		
		<%
		String errorMsg = (String) request.getAttribute("errorMsg");
		if(errorMsg != null){
			%>
			<div class="alert alert-danger">
				<h4>Error</h4><%=errorMsg %>
			</div>
			<%
		}
		
		String infoMsg = (String) request.getAttribute("infoMsg");
		if(infoMsg != null){
			%>
			<div class="alert alert-success">
				<h4>Information</h4><%=infoMsg %>
			</div>
			<%
		}
		
		
		%>
		
		
			<div class="row">
				<div class="col-md-7">
					<div class="panel panel-default">
						<div class="panel-heading">Add Project</div>
						<div class="panel-body">
							<form class="form-horizontal" action="<%=controllerPath%>" method="post">
								<div class="form-group">
								   <label class="col-lg-3 control-label">Folder Name</label>
								   <div class="col-lg-9">
								      <input type="text" placeholder="Folder name for the project" class="form-control" name="pName" required>
								      <small>Project name can only contain alphanumeric characters and space.</small>
								   </div>
								</div>
								<div class="form-group">
								   <label class="col-lg-3 control-label">Absolute path</label>
								   <div class="col-lg-9">
								      <input type="text" placeholder="Path" class="form-control" name="pPath" required
								      	value="<%= request.getAttribute("defaultRepPath")%>">
								      <small>A valid path on the machine where projects are stored</small>
								   </div>
								</div>
								<div class="form-group">
	                              <div class="col-lg-offset-3 col-lg-9">
	                                 <div class="checkbox c-checkbox">
	                                    <label>
	                                       <input type="checkbox" name="pEnc" value="1">
	                                       <span class="fa fa-check"></span>Encrypted</label>
	                                 </div>
	                              </div>
	                           </div>
                           
								<div class="form-group">
								   <div class="col-lg-offset-3 col-lg-9">
								      <button type="submit" class="btn btn-sm btn-info">Add Project</button>
								   </div>
								</div>
								
								<input type="hidden" name="operation" value="prj">
								<input type="hidden" name="st" value="addp">
								
								
	                        </form>
						</div>
					</div>
				</div>
				<div class="col-md-5">
					<div class="panel panel-default">
						<div class="panel-heading">What are Shared Projects</div>
						<div class="panel-body">
							Allow multiple users to share files belonging to a project.
							<a href="http://web.synametrics.com/syncrify-shared-projects.htm" 
							target="_blank" 
							title="Click here for details">Details...</a>
							<br><br>
							<img src="images/SharedProjects.png" class="img-responsive center-block">
						</div>
					</div>
					
				</div>
			</div>
			
			
			
			<!-- Display Existing Projects -->
			
			<div class="panel panel-primary">
				<div class="panel-heading">Existing Projects</div>
				<div class="panel-body">
				
				Shared Projects allow multiple users to shared artifacts belonging 
				
				
				
				<%
				List<ProjectBean> beans = (List<ProjectBean>) request.getAttribute("projects");
				
				if(beans.size() > 0){
					%>
					<h2>Existing Projects</h2>
					<table class="table">
						<tr><th>Folder Name</th><th>Path</th><th>Associated Users</th><th>Action</th></tr>
						<%
						int pIndex = -1;
						for(ProjectBean oneBean: beans){
							pIndex++;
							%>
							<tr>
								<td>
								<%
								if(oneBean.isEncrypted()){
									%>
									<span style="color:red"><i class="icon-lock" title="Encrypted"></i></span>
									<%
								}else{
									%>
									<span style="color:#dddddd"><i class="icon-lock" title="Not Encrypted"></i></span>
									<%
								}
								%>
								<%= oneBean.getName() %></td>
								<td><%= oneBean.getRepostoryPath() %></td>
								<td>
								<%
								List<ProjectUserBean> users = oneBean.getUsers();
								for(ProjectUserBean user : users){
									String anchorTitle = "Read/Write. Click to toggle this setting to read only";
									String anchorIcon = " icon-pencil";
									if(user.isReadonly()){
										anchorTitle ="Read only. Click to toggle this setting to read/write";
										anchorIcon = " icon-eyeglass";
									}
									
									%>
									<div>
									<a href="<%=response.encodeURL("app?operation=prj&st=rmu&pi=" + pIndex + "&uid=" + user.getLogin()) %>" 
										title="Revoke access for <%= user.getLogin() %> from this project"><i class="icon-close"></i></a>
									&nbsp;&nbsp; 
									<a href="<%=response.encodeURL("app?operation=prj&st=mua&pi=" + pIndex + "&uid=" + user.getLogin()) %>" 
										title="<%=anchorTitle%>"><i class="<%=anchorIcon%>"></i>&nbsp;</a> <%= user.getLogin() %>
									
									</div>
									<%
								}
								%>
								
								</td>
								<td>
								<a classXX="btn-sm btn-inverse btn-outline" 
								href="<%=response.encodeURL("app?operation=prj&st=mu2p&pi=" + pIndex) %>" 
                                title="Add Users to <%= oneBean.getName() %>" 
                                onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
                                ><i class="icon-people"></i>&nbsp;</a>
                                
                                
                                &nbsp;&nbsp; 
                                
                                <a classXX="btn-sm btn-inverse btn-outline" 
								href="<%=response.encodeURL("app?operation=prj&st=showl&pi=" + pIndex) %>" 
                                title="Show synchronization log for: <%= oneBean.getName() %>" 
                                
                                ><i class="icon-layers"></i>&nbsp;</a>
                                
                                &nbsp;&nbsp; 
                                
                                <a classXX="btn-sm btn-inverse btn-outline" 
								href="<%=response.encodeURL("app?operation=prj&st=dp&pi=" + pIndex) %>" 
                                title="Permanantly delete project: <%= oneBean.getName() %>" 
                                onclick="javascript:return confirm('This will delete the shared project. It will NOT remove the files belonging to the from the disk. Are you sure?')"
                                ><i class="icon-trash"></i>&nbsp;</a>
                                
                                
								</td>
								
							</tr>
							<%
						}
						%>
					</table>
					<%
				}
				%>
				</div>
			</div>
			
			
				
		</div> <!-- Mandatory ending -->
		
		

<%@ include file="Footer.jsp" %>

