<%@ include file="Header.jsp" %>

<div class="content-heading">
  <i class="fa fa-user"></i> Registration
  <small data-localize="dashboard.UserManagement"></small>
</div>
<div class="row">
  <div class="<%=mainBodyColClass%>">
    <div class="panel panel-default">
      <div class="panel-body">

<p>You need to register your copy before using Syncrify. This registration process will fetch a serial
number that is required for the system to work on this machine. </p>
<br>

<%
String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	out.println("<div class='syn_error'>" + errorMessage + "</div>");
}

String adminEmail = request.getParameter("email");
if(adminEmail == null){
	adminEmail = (String)request.getAttribute("email");
}
if(adminEmail == null){
	adminEmail = "";
}
%>
<form action="<%=controllerPath%>" method="post">
<fieldset>
	<LEGEND>Please fill out the form below to complete this registration process.</LEGEND>

	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label">First Name</label>
			<div class="col-sm-10">
				<input class="form-control" type="text" name="firstName" size="25" value="<%=request.getParameter("firstName") == null ? "" : request.getParameter("firstName")%>" />
			</div>
		</div>
	</fieldset>

	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label">Last Name</label>
			<div class="col-sm-10">
				<input class="form-control"  type="text" name="lastName" size="25" value="<%=request.getParameter("lastName") == null ? "" : request.getParameter("lastName")%>" />
			</div>
		</div>
	</fieldset>
	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label">Company Name</label>
			<div class="col-sm-10">
				<input class="form-control" type="text" name="company" size="35" value="<%=request.getParameter("company") == null ? "" : request.getParameter("company")%>" />
			</div>
		</div>
	</fieldset>
	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label">Email</label>
			<div class="col-sm-10">
				<input class="form-control" type="text" readonly="readonly" name="email"  size="35" value="<%=adminEmail%>" />
			</div>
		</div>
	</fieldset>
	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label">Phone</label>
			<div class="col-sm-10">
				<input class="form-control" type="text" name="phone" size="25" value="<%=request.getParameter("phone") == null ? "" : request.getParameter("phone")%>" />
			</div>
		</div>
	</fieldset>
	<fieldset>
		<div class="form-group">
			<label class="col-sm-2 control-label"></label>
			<div class="col-sm-10">
				<button class="btn btn-sm btn-default" type="submit" value="Register" class="dialogButton" >Register</button>
			</div>
		</div>
	</fieldset>
	<input type="hidden" name="operation" value="darji"></input>
	<input type="hidden" name="st" value="1"></input>
</fieldset>
</form>

<%-- <table>
<tr>
<td><img class="img-responsive" src="images/Register.png"></td>
<td>

		<div class="syn_tilegray">
		Please fill out the form below to complete this registration process.<br><br>
		<form action="<%=controllerPath%>" method="post">
		<table cellspacing="5">
			<tr>
				<td align="right"><b>First Name:</b></td>
				<td><input type="text" name="firstName" size="25" value="<%=request.getParameter("firstName") == null ? "" : request.getParameter("firstName")%>" /></td>
			</tr>

			<tr>
				<td align="right"><b>Last Name:</b></td>
				<td><input type="text" name="lastName" size="25" value="<%=request.getParameter("lastName") == null ? "" : request.getParameter("lastName")%>" /></td>
			</tr>

			<tr>
				<td align="right"><b>Company Name:</b></td>
				<td><input type="text" name="company" size="35" value="<%=request.getParameter("company") == null ? "" : request.getParameter("company")%>" /></td>
			</tr>

			<tr>
				<td align="right"><b>Email:</b></td>
				<td><input type="text" readonly="readonly" name="email"  size="35" value="<%=adminEmail%>" /></td>
			</tr>

			<tr>
				<td align="right"><b>Phone:</b></td>
				<td><input type="text" name="phone" size="25" value="<%=request.getParameter("phone") == null ? "" : request.getParameter("phone")%>" /></td>
			</tr>

			<tr>
				<td><b></b></td>
				<td><input type="submit" value="Register" class="dialogButton" /></td>
			</tr>


		</table>

		<input type="hidden" name="operation" value="darji"></input>
		<input type="hidden" name="st" value="1"></input>

		</form></div>
</td>

</tr>

</table> --%>

</div>
</div>
</div>


<%@ include file="Footer.jsp" %>
