<%@page
	import="com.synametrics.syncrify.bean.AccessLogHolderBeanByDate, java.util.List"%>

<%@ include file="Header.jsp"%>

<div class="content-heading">
	Access Report
	<%@ include file="Breadcrumbs.jsp"%>
</div>

<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
			<div class="panel-heading">
				
				
				<div class="row">
             	<div class="col-md-9">
             		<h2>Backup Report By User Group</h2>
					Displaying results for the past <%=request.getAttribute("numDays")%> days
	           	</div>
             	<div class="col-md-3 pull-right">
             	
             	<%
             	if(request.getAttribute("groupOptions") != null){
             	%>
	             	<label for="filter_dgid">Filter Users By Group</label>
		             <select name="dgid" id="filter_dgid" class="form-control">
		             	<%= request.getAttribute("groupOptions") %>
		             </select>
		             
		             
		             <script>
		             $('#filter_dgid').bind('change', function () { // bind change event to select
		                 var selGroupId = $(this).val(); // get selected value
		                 if (selGroupId != '') { // require a URL
		                     window.location = '<%=response.encodeURL("app?operation=reports&drbd=1") %>' + '&dgid=' + selGroupId; // redirect
		                 }
		                 return false;
		             });
		             </script>
	             
	             <%
             	 }
	             %>
             	</div>
             </div>
             
				
				
				
			</div>
			<div class="panel-body">
				<div class="row">
					<div class="col-md-12">
						<div style="float: right; text-align: right;" class="syn_tilegray">
							<table class="table">
								<tr>
									<td><i class='fa fa-check' style='color: green'></i></td>
									<td>No errors</td>
									<td><i class='fa fa-times' style='color: red'></i></td>
									<td>One or more errors</td>
									<td><i class='fa fa-cloud-download' style='color: gray'></i></td>
									<td>Info not available</td>
								</tr>
							</table>
							<b>Tip: </b>Click a red cross to view errors.
						</div>
					</div>
				</div>
				<%
				if (request.getAttribute("logEntries") != null) {
					List<AccessLogHolderBeanByDate> logEntries = (List<AccessLogHolderBeanByDate>) request.getAttribute("logEntries");
				%>
				<p>Entries in the table below are listed in reversed
					chronological order.</p>
				<div class="table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
								<th>User login</th>
								<th>Profile name</th>
								<th>Backup date</th>
								<th>Ran for</th>
								<th>Transfer size</th>
								<th>Total files</th>
							</tr>
						</thead>
						<tbody>
							<%
							String lastDate = "";
							for (int i = 0; i < logEntries.size(); i++) {
								String newDate = logEntries.get(i).getReportDate();

								if (!lastDate.equals(newDate)) {
									lastDate = newDate;
							%>
							<tr>
								<td colspan="6" class="repDateHeader"><%=logEntries.get(i).getReportDate()%></td>
							</tr>
							<%
							}
							%>
							<tr>
								<td><img src="images/clientBackup.png"
									title="Host: <%=logEntries.get(i).getClientIP()%>, build number: <%=logEntries.get(i).getClientVersion()%>">
									<%=logEntries.get(i).getUserEmailOrFullName()%></td>
								<td><%=logEntries.get(i).getProfileName()%></td>
								<td><%=logEntries.get(i).getStartTimeString()%></td>
								<td><%=logEntries.get(i).getRanFor()%></td>

								<!--  Author @Blake Start -->
								<td>
									<%
									if (logEntries.get(i).getCsvFileName().equals("NA")) {
									%> <i
									class='fa fa-cloud-download' style='color: gray; opacity: 0.4'></i>
									<%
									} else {
									%> <a
									href="<%=response.encodeURL("app?operation=reports&downf=" + logEntries.get(i).getCsvFileName() + "&profile="
		+ logEntries.get(i).getProfileName() + "&uid=" + logEntries.get(i).getUserEmail())%>"><i
										class='fa fa-cloud-download'
										title='Click to download backup report.'></i></a> <%
 }
 %>
									<%
									if (logEntries.get(i).getTotalErrors() == 0) {
									%><i class='fa fa-check'
									style='color: green' title='Backup ran without errors.'></i>
									<%
									} else {
									%> <a
									href="<%=response.encodeURL("app?operation=reports&errf=" + logEntries.get(i).getCsvFileName() + "&profile="
		+ logEntries.get(i).getProfileName() + "&uid=" + logEntries.get(i).getUserEmail())%>"
									onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"><i
										class='fa fa-times' style='color: red'
										title='Click to see errors.'></i></a> <%
 }
 %> <%=logEntries.get(i).getTotalBytesTransferredString()%></td>

								<!--  @Blake End -->
								<td><%=logEntries.get(i).getTotalFiles()%></td>
							</tr>
							<%
							}
							%>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
	<%
	}
	%>

	<%@ include file="Footer.jsp"%>