<%@page import="com.synametrics.syncrify.bean.LastRunRecordBean, java.util.List"%>

<%
List<LastRunRecordBean> missed = (List<LastRunRecordBean>) request.getAttribute("missedRecords");

if(missed.size() == 0){
	%>
	None of the backup job missed its expected run time.
	<%
	
}else{
%>
    <div class="col-md-12">
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th colspan="2">Host name</th>
                    <th>IP address</th>
                    <th>User</th>
                    <th>Profile name</th>
                    <th>Expected run</th>
                 </tr>
              </thead>
              <tbody>
                <%
                for(int i = 0; i < missed.size(); i++){
                    LastRunRecordBean oneRecord = missed.get(i);
                    %>
                <tr class="<%= oneRecord.getRowColor() %>">
                    <td><img src="<%=oneRecord.isAlive() ? imgAlive : imgDead %>" title="<%= oneRecord.isAlive() ? lblAlive : lblDead %>"></td>
                    <td><%=oneRecord.getHostName() %></td>
                    <td><%=oneRecord.getIpAddressAsString() %></td>
                    <td><%=oneRecord.getLogin() %></td>
                    <td><%=oneRecord.getProfileName() %></td>
                    <td><%=oneRecord.getNextRunAbsoluteAsString() %></td>

                </tr>
                    <%
                }
                %>
              </tbody>
           </table>
        </div>
   </div> 
<%
}
%>