<%@page import="com.synametrics.syncrify.bean.RepositoryPathExceptionBean, java.util.*"%>
<%@ include file="Header.jsp" %>

<%
List<RepositoryPathExceptionBean> exceptionList = (List<RepositoryPathExceptionBean>) request.getAttribute("exceptionList");

String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
    <div class="uk-notify uk-notify-top-center"><div class="uk-notify-message alert-dismissable alert alert-info" style="opacity: 1; margin-top: 0px; margin-bottom: 10px;"><a class="close">x</a><div><em class="fa fa-info-circle"></em> <%=infoMessage %> </div></div></div>
	<%
}
%>


<div class="content-heading">
Repository Exceptions 
<%@ include file="Breadcrumbs.jsp" %>
</div>


<%
if(exceptionList.size() == 0){
%>

<%
}
%>  
<div class="row">
<div class="col-md-9">




<div class="panel panel-default">
     <div class="panel-heading">Add a new exception</div>
     <div class="panel-body">
        <div role="alert" class="alert alert-info">
        <strong>Repository Exceptions</strong> | 
        <a href="http://web.synametrics.com/SyncrifyRepositoryPath.htm" target="_blank">Click here</a> to learn more about repository exceptions.</div>
        <form class="form-horizontal" action="<%=controllerPath%>" method="post">
           <div class="form-group">
              <label class="col-lg-3 control-label">Login Email:</label>
              <div class="col-lg-9">
                 <input type="email" placeholder="Login Email" name="loginEmail" id="loginEmail" class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Profile Name:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Profile Name" name="profileName" id="profileName" class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Absolute Path:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Absolute Path" name="path" id="path" class="form-control">
              </div>
           </div>
            <input type="hidden" name="operation" value="repExp">
            <input type="hidden" name="st" value="save">
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Add &raquo;</button>
              </div>
           </div>
        </form>
     </div>
  </div>
  <!-- END panel-->
</div>

<%
if(exceptionList.size() > 0){
%>
	<div class="col-md-9">
      <div class="panel panel-default">
         <div class="panel-heading">Existing exceptions</div>
         <div class="panel-body">
            <div class="table-responsive">
               <table class="table table-hover appTable">
                  <thead>
                     <tr>
                        <th>Login email</th>
                        <th>Profile name</th>
                        <th>Path</th>
                        <th>Action</th>
                     </tr>
                  </thead>
                  <tbody>
                     <%
                    for(int i = 0; i < exceptionList.size(); i++){
                        %>
                        <tr>
                            <td><%=exceptionList.get(i).getLoginEmail() %></td>
                            <td><%=exceptionList.get(i).getProfileName() %></td>
                            <td><%=exceptionList.get(i).getPath() %></td>
                            <td><a class="btn-sm btn-inverse btn-outline" href="app?operation=repExp&st=remove&id=<%=exceptionList.get(i).getHashCode() %>" 
                                onclick="javascript:return confirm('This will remove the exception rule but won't delete files from the disk. Are you sure?')"
                            ><i class="icon-trash"></i></a></td>
                        </tr>
                        <%
                    }

                    %>
                  </tbody>
               </table>
            </div>
         </div>
      </div>
   </div>
<%	
}
%>





<%@ include file="Footer.jsp" %>