<%@page import="java.util.List"%>
<%@page import="com.synametrics.syncrify.bean.ManualRestoreStatusBean"%>
<%@ include file="Header.jsp" %>





<div class="content-heading">
		<i class="fa fa-user"></i>Restoration Status<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">
					<h1>File restoration <small>Complete</small></h1>
					<br><br>
					<%
					ManualRestoreStatusBean status = (ManualRestoreStatusBean) request.getAttribute("status");
					%>
					
					<table class="table table-bordered table-condensed">
						<tr><th>User ID:</th><td><%= status.getUserId()%></td></tr>
						<tr><th>Profile Name</th><td><%= status.getProfileName() %></td></tr>
						<tr><th>Start Time:</th><td><%= status.getRunningSince()%></td></tr>
						<tr><th>End Time:</th><td><%= status.getEndTimeAsString()%></td></tr>
						<tr><th>Total files processed:</th><td><%= status.getTotalFilesProcessed() %></td></tr>
						<tr><th>Total bytes copied:</th><td><%= status.getTotalBytesAsString()%></td></tr>
						<tr><th>Total messages/errors:</th><td><%= status.getErrorCount()%></td></tr>
					</table>
				</div>
			</div>
				<%
				List<String[]> logRecords = (List<String[]>) request.getAttribute("logRecords");
				if(logRecords.size() > 0){
					%>
					<h2>Messages/Errors</h2>
					<%
					
					if(status.getErrorCount() > 100){
						%>
						<b>Note: </b> A partial list of messages/errors is displayed below. Please refer to <%= request.getAttribute("logFileName") %> for a complete list.<br><br>
						<%
					}
					
					%>
					
					<table class="niceTable"  style="width:100%">
					<tr><th></th><th>File Path</th></tr>
					<%
					
					for(int i = 0; i < logRecords.size(); i++){
						String[] oneRow = logRecords.get(i);
						%>
						<tr>
							<td><img src="images/<%= oneRow[0] %>" title="<%= oneRow[1] %>"</td><td><%= oneRow[2] %></td>
						</tr>
						<%
						
					}
					%>
					</table>
					<%
				}
				%>

		
			
			

</div> <!-- Mandatory ending -->
<%@ include file="Footer.jsp" %>