<%@page import="com.synametrics.syncrify.bean.Brander"%>
<%@ include file="Header.jsp" %>

<%
boolean preselectImage = Brander.getInstance().getImageLogo() != null && Brander.getInstance().getImageLogo().length() > 0;
%>

<script>
function toggleLayer(blockName, styleName){
    var style2
    if (document.getElementById){
        // this is the way the standards work
        style2 = document.getElementById(blockName).style;
    }else if (document.all){
        // this is the way old msie versions work
        style2 = document.all[blockName].style;
    }else if (document.layers){
        // this is the way nn4 works
        style2 = document.layers[blockName].style;
    }
    style2.display = styleName;
}


function showImageBased(){
   toggleLayer('imageBased', 'block');
   toggleLayer('textBased', 'none');
}

function showTextBased(){
   toggleLayer('imageBased', 'none');
   toggleLayer('textBased', 'block');
   
}
</script>


<div class="content-heading">
   <div class="headertwo-logo"><i class="fa fa-cloud"></i><i class="fa fa-wrench ispremote"></i></div> <p style="float: left;margin: 13px;"> Branding Syncrify Server </p><div class="clearfix"></div>
   <small data-localize="dashboard.UserManagement"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
</div>

<div class="row">
	<div class="<%=mainBodyColClass%>">
	
	
		<div class="panel panel-primary">
            <div class="panel-heading">Branding Syncrify Server</div>
			<div class="panel-body">
                <p>Branding Syncrify server allow you to put your company name on the web interface. </p>
                
                <%
                String errorMsg = (String) request.getAttribute("errorMsg");
                if(errorMsg != null){
                    %><br><br>
                    <p class="error"><%=errorMsg %></p>
                    <%
                }
                %>
                	 
                      
                      
                
                	
                <form class="form-horizontal" action="<%=controllerPath%>" method="POST">
                
                
                    <div class="row">
                		<div class="col-md-7">
                
	                     <fieldset>
	                     <legend>Login Window <span class="label label-danger pull-right">Appears on login page</span></legend>
	
	                     
	                     <div class="form-group">
	                       <label class="col-sm-1 control-label"></label>
	                       <div class="col-sm-11">
	                          <label for="TextBased" class="checkbox c-checkbox c-checkbox-rounded">
	                             <input type="radio" onclick="showTextBased();" name="bType" id="TextBased" value="textual" <%= preselectImage ? "" : "checked='checked'" %> />
	                             <span class="fa fa-check"></span>Use Textual Values</label>
	                          <label for="ImageBased" class="checkbox c-checkbox c-checkbox-rounded">
	                             <input type="radio" onclick="showImageBased();" name="bType" id="ImageBased" value="images" <%= preselectImage ?  "checked='checked'" : "" %> />
	                             <span class="fa fa-check"></span>Use Images</label>
	                       </div>
	                    </div>
	                         </br>
	                     <div id="textBased">
	                        <div class="form-group">
	                          <label for="" class="col-lg-3 control-label">Main heading:</label>
	                          <div class="col-lg-9">
	                            <input type="text" name="line1" id="line1" title="Main heading" placeholder="Main heading" value="<%= Brander.getInstance().getLine1() %>" class="form-control">
	                            <span class="help-block m-b-none">Displayed as the main heading on the Login Window.</span>
	                          </div>
	                        </div>
	                        <div class="form-group">
	                          <label for="" class="col-lg-3 control-label">Sub heading:</label>
	                          <div class="col-lg-9">
	                            <input type="text" name="line2" id="line2" title="Sub heading" placeholder="Sub heading" value="<%= Brander.getInstance().getLine2() %>" class="form-control">
	                            <span class="help-block m-b-none">Displayed on the next line as a sub-heading.</span>
	                          </div>
	                        </div>
	                     </div>
	
	                     <div id="imageBased">
	                        <div class="form-group">
	                          <label for="" class="col-lg-3 control-label">Main Logo:</label>
	                          <div class="col-lg-9">
	                            <input type="text" name="logoImage" id="logoImage" title="Type the file name of the image without any path information." placeholder="Main image" value="<%= Brander.getInstance().getImageLogo() %>" class="form-control">
	                            <span class="help-block m-b-none">This image will appear on the login Window. It should be 315x112 pixels</span>
	                          </div>
	                        </div>
	                        <!-- 
	                         <div class="form-group">
	                          <label for="" class="col-lg-3 control-label">Right image:</label>
	                          <div class="col-lg-9">
	                            <input type="text" name="rightImage" id="rightImage" title="Type the file name of the image without any path information." placeholder="Right image" value="<%= Brander.getInstance().getRightImage() %>" class="form-control">
	                            <span class="help-block m-b-none">This image will appear on the upper right hand corner. It should be 468x60 pixels</span>
	                          </div>
	                        </div> 
	                        -->
	                     </div>
	
	                     </fieldset>
                     </div>
	                	<div class="col-md-5">
	                	  <!-- START panel-->
		                  <div id="panelDemo10" class="panel panel-info">
		                     <div class="panel-heading">Prerequisite</div>
		                     <div class="panel-body">
		                        <p>If you decide to use images, you must save the files to <br>
	                        <code><%=request.getAttribute("brandingFolder") %></code><br> folder and then specify the file names
	                        here. </p>
		                     </div>
		                  </div>
		                  <!-- END panel-->
	                	</div>
	                </div> <!-- Row ends -->
                     
                     
                    <div class="row">
                    	<div class="col-md-7">
	                    	<fieldset>
		                     	<legend>Application Logo <span class="label label-danger pull-right">Appears on every page</span></legend>
								<div class="form-group">
									<label for="imageLogoTLW" class="col-lg-3 control-label">Wide Logo:</label>
									<div class="col-lg-9">
										<input type="text" name="imageLogoTLW" id="imageLogoTLW"
											title="Logo that appears when wide menu items are used"
											placeholder="File name for logo. Should be 35x100 pixels"
											value="<%=Brander.getInstance().getImageLogoTLW()%>"
											class="form-control"> <span class="help-block m-b-none">Logo that appears
											on the upper left hand corner. Should be 35x100 pixels.
										</span>
									</div>
								</div>
		
								<div class="form-group">
									<label for="imageLogoTL" class="col-lg-3 control-label">Collapsed Logo:</label>
									<div class="col-lg-9">
										<input type="text" name="imageLogoTL" id="imageLogoTL"
											title="Logo that is displayed on the upper left hand corner when menus are collapsed."
											placeholder="File name for logo. Should be 35x35 pixels"
											value="<%=Brander.getInstance().getImageLogoTL()%>"
											class="form-control"> 
										<span class="help-block m-b-none">Logo that is displayed on the upper-left hand corner when menus are collapsed.</span>
									</div>
								</div>
							</fieldset>
                    	</div>

						<div class="col-md-5">
							<!-- START panel-->
							<div id="panelDemo10" class="panel panel-info">
								<div class="panel-heading">Usage Tip</div>
								<div class="panel-body">
									<p>
										These images appear on the upper left hand corner of the screen. These files
										must be saved in<br>
										<code><%=request.getAttribute("brandingFolder") %></code>.
									</p>
								</div>
							</div>
							<!-- END panel-->
						</div>

					</div>
                    
                     
                     
                     
                     
                     
                     
                     <div class="row">
                     	<div class="col-md-7">
                     	
                     	<fieldset>
		                     <legend>Other settings</legend>
		
		                     <div class="form-group">
		                      <label for="" class="col-lg-3 control-label">Home page:</label>
		                      <div class="col-lg-9">
		                        <input type="text" name="companyHome" id="companyHome" title="This value appear on the upper right hand corner of the screen" placeholder="Home page" value="<%= Brander.getInstance().getCompanyHome() %>" class="form-control">
		                        <span class="help-block m-b-none">This should refer to your company's home page. For example, http://yourCompany.com <a href="images/sbSupportUrl.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
		                      </div>
		                    </div>
		
		                    <div class="form-group">
		                      <label for="" class="col-lg-3 control-label">Browser title:</label>
		                      <div class="col-lg-9">
		                        <input type="text" name="browserTitle" id="browserTitle" title="This URL is displayed when user clicks the About link." placeholder="Browser title" value="<%= Brander.getInstance().getBrowserTitle() %>" class="form-control">
		                        <span class="help-block m-b-none">Text that appears in the <b>Title bar</b> of client's browser.</span>
		                      </div>
		                    </div>
		
		                    <div class="form-group">
		                      <label for="" class="col-lg-3 control-label">About URL:</label>
		                      <div class="col-lg-9">
		                        <input type="text" name="aboutUrl" id="aboutUrl" value="<%= Brander.getInstance().getAboutUrl() %>" 
		                        title="This URL is displayed when user clicks the About link." class="form-control">
		                        <span class="help-block m-b-none">This should refer to your company's home page. For example, http://yourCompany.com <a href="images/sbAboutUrl.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
		                      </div>
		                    </div>
		
		                    <div class="form-group">
		                      <label for="" class="col-lg-3 control-label">Support URL:</label>
		                      <div class="col-lg-9">
		                        <input type="text" name="supportUrl" id="supportUrl" value="<%= Brander.getInstance().getSupportUrl() %>" 
		                        title="This value appear on the upper right hand corner of the screen" class="form-control">
		                        <span class="help-block m-b-none">This can either be an email or a webpage. For example, support@YourCompany.com OR http://yourCompany.com/support.htm <a href="images/sbSupportUrl.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
		                      </div>
		                    </div> 
		
		                    <div class="form-group">
		                      <label for="" class="col-lg-3 control-label">Search URL:</label>
		                      <div class="col-lg-9">
		                        <input type="text" name="searchUrl" id="searchUrl" value="<%= Brander.getInstance().getSearchUrl() %>" 
		                        title="This URL should refer to a website where user can search for help documents." class="form-control">
		                        <span class="help-block m-b-none">URL used to search for help documents on your website. This webpage should accept a parameter <b>"s"</b> containing the search string.</span>
		                      </div>
		                    </div>  
		
		                    <%
		                    String faqChecked = Brander.getInstance().showFaq() ? "" : " checked='checked' ";
		                    %>
		
		                    <div class="form-group">
		                      <div class="col-lg-offset-3 col-lg-9">
		                         <div class="checkbox c-checkbox">
		                            <label for="hideFaq">
		                               <input type="checkbox" name="hideFaq" id="hideFaq" value="true" <%=faqChecked %> />
		                               <span class="fa fa-check"></span>Hide FAQ</label>
		                         </div>
		                          <span class="help-block m-b-none">If checked, the FAQ section referring to links on Synametrics' website will be hidden from the user.</span>
		                      </div>
		                   </div>
		
		                   
		                 </fieldset>
                     	
                     	
                     	
                     	
                     	</div>
                     	<div class="col-md-5">
                     		<!-- START panel-->
			                  <div id="panelDemo10" class="panel panel-info">
			                     <div class="panel-heading">IMPORTANT</div>
			                     <div class="panel-body">
			                        <p>The URLS for <b>Home page</b>, <b>Support</b>, <b>Search</b> and <b>About</b> will always refer to Synametrics when you log in as admin.</p>
			                        <p>However, when someone connects as a non-admin user, they will see the links you specify here.</p>
			                        <p>Therefore, you won't see these URLs change until you logout.</p>
			                     </div>
			                  </div>
			                  <!-- END panel-->
                     	</div>
                     </div>
                     
                     
                     
                     
                     
				<fieldset>
					 <div class="form-group">
                      <div class="col-lg-offset-3 col-lg-9">
                          <LABEL for="proceedButton">&nbsp;</LABEL>				
                         <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-info">Apply</button>
                      </div>
                   </div>
				</fieldset>
                <input type="hidden" name="operation" value="sbrand">
                <input type="hidden" name="st" value="save">
                </form>    
                
                
                
                
                
                
                
                
                    
			</div>
		</div>
	</div>



<script>
<%
if(preselectImage){
	out.println("showImageBased();");
}else{
	out.println("showTextBased();");
}
%>
</script>

<%@ include file="Footer.jsp" %>