<%@ include file="Header.jsp" %>

<div class="content-heading">
		<i class="fa fa-user"></i> Contacting Support<small data-localize="dashboard.UserManagement"></small>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-default">
				<div class="panel-heading"></div>
				<div class="panel-body">


<p>Use the following screen to contact our support department.</p> 


<%
String error = (String) request.getAttribute("error");
if(error != null && error.length() > 0){
	%>
	<div class="alert alert-danger">
	<%=error %>
	</div>
	<%
}
%>

<form action="<%=controllerPath%>" method="post" >
		<fieldset>
			<div class="form-group clearfix">
					<label class="col-sm-4 control-label">Your name:</label>	
					<div class="col-sm-8">
						<input class="form-control" type="text" name="<%= request.getAttribute("ins_Name") %>" value="<%= request.getParameter("name") == null ? "" : request.getParameter("name") %>" size="30" />
					</div>		
			</div>
			<br>
			<div class="form-group clearfix">
					<label class="col-sm-4 control-label">Your email address:</label>	
					<div class="col-sm-8">
						<input class="form-control" type="text" name="<%= request.getAttribute("ins_Email") %>" value="<%= request.getAttribute("adminEmail") == null ? "" : request.getAttribute("adminEmail") %>"  size="30" />
					</div>		
			</div>
			<br>
			<div class="form-group clearfix">
					<label class="col-sm-4 control-label">Subject</label>	
					<div class="col-sm-8">
						<input class="form-control" type="text" name="<%= request.getAttribute("ins_Subject") %>" value="<%= request.getParameter("subject") == null ? "" : request.getParameter("subject") %>"  size="60" />
					</div>		
			</div>
			<br>
			<div class="form-group clearfix">
					<label class="col-sm-4 control-label">Options</label>
					<div class="col-sm-8">
						<div class="checkbox c-checkbox needsclick">
							<label class="needsclick">
								<input type="checkbox" name="<%= request.getAttribute("ins_SendConfig") %>" checked="checked" title="When checked, configuration files will be attached to the support email"></input>
							<span class="fa fa-check"></span> Send config file</label>
						</div>
						<div class="checkbox c-checkbox needsclick">
							<label class="needsclick">
								<input type="checkbox" name="<%= request.getAttribute("ins_SendLog") %>"  checked="checked"  title="When checked, Syncrify.log file will be attached to the support email"></input>
							<span class="fa fa-check"></span> Send log file</label>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp <a href="app?operation=support&st=help" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">What is this?</a>
						</div>
						<div class="checkbox c-checkbox needsclick">
							<label class="needsclick">
								<input type="checkbox" name="<%= request.getAttribute("ins_SendEnv") %>"  checked="checked"  title="When checked, settings like OS name, locale info, and other environment related information is sent along with the message"></input>
							<span class="fa fa-check"></span> Send environment info</label>
						</div>
						<p> We recommend you leave these options checked. They help us identify the problem.</p>
					</div>
			</div>
			<br>
			<div class="form-group clearfix">
					<label class="col-sm-4 control-label">Problem description:</label>	
					<div class="col-sm-8">
						<textarea class="form-control" cols="80" rows="10" name="<%= request.getAttribute("ins_Body") %>"></textarea>
					</div>		
			</div>
		</fieldset>
		<center>
			<input class="btn btn-sm btn-primary"  type="submit" value="Send message">
		</center>
		
		<input type="hidden" name="operation" value="support">
		<input type="hidden" name="st" value="send">
		
</form>

</div>
</div>
</div>

<%@ include file="Footer.jsp" %>