<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-user"></i>Time-based, One-time Password
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">
				
				<!-- BODY GOES HERE -->
				

				<a class="btn btn-primary" href="<%=response.encodeURL("app?operation=2fa") %>">&laquo; Back to 2FA Configuration</a><br><br>
				<h2 class="section-title no-margin-top">TOTP Credentials</h2>
				
				
				<%
				if(request.getAttribute("forcedTotp") != null && request.getAttribute("forcedTotp").equals("true")){
					%>
					<p>
					Your company policy requires you use Two-Factor Authentication when connecting to this server. Please use the following
					QR code to configure it.
					</p>
					<%
				}
				%>
				<div class="well well-sm">Use the following credentials to setup Two-Factor Authentication for Time-base Temporary Password. Several third-party apps support this protocol. For example, 
				you can download either Google Authenticator (available for 
				<a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2" target="_blank">Android</a> and 
				<a href="https://apps.apple.com/us/app/google-authenticator/id388497605" target="_blank">iOS</a>) or Microsoft Authenticator (available for 
				
				<a href="https://play.google.com/store/apps/details?id=com.azure.authenticator" target="_blank">Android</a> and 
				<a href="https://apps.apple.com/us/app/microsoft-authenticator/id983156458" target="_blank">iOS</a>
				
				)
				on your mobile device and scan the displayed QR code to setup an account</div>
				
				
				<h2 class="underline-title no-margin-top">QR Code</h2>
				<img src="<%= request.getAttribute("qrUrl")%>">
				<br><br>
				Scan the QR code above to on your mobile app to add an account
				<br><br>
				<h2 class="underline-title no-margin-top">Manual Entry</h2>
				Enter the following values manually if you are not able to scan the above code:
				<br><br>
				<table class="table">
					<tr><th>User Name: </th><td><%= request.getAttribute("uid")%></td></tr>
					<tr><th>Secret Key: </th><td><%= request.getAttribute("scode")%></td></tr>
				</table>
			
			
				<%
				request.setAttribute("Current_Page_Name", "2FAConfigTotp");
				%>
				
				<!-- BODY ENDS HERE -->
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>