<%@page import="com.synametrics.syncrify.bean.UserHistoryBean"%>
<%@page import="java.util.List"%>
<%@page import="com.synametrics.syncrify.bean.UserBean"%>
<div>
	<%
	
	
	%>
	<canvas id="dataUsage" style="max-height: 300px;"></canvas>
</div>



<div>
	<%
	if(recs.size() > 0){
		%>
		<h3>Historic Data</h3>
		<%
	}
	%>
	<table class="table table-bordered table-condensed table-hover">
		<tr>
			<th>Date</th>
			<th>Disk Size</th>
			<th>Versions</th>
			<th>Delete Retention</th>
		</tr>
	
		<%
		for(int i = recs.size() - 1; i >= 0; i-- ){
			%>
			<tr>
			<td><%= recs.get(i).getDateStr() %></td>
			<td><%= recs.get(i).getDiskUsageStr() %></td>
			<td><%= recs.get(i).numVersions %></td>
			<td><%= recs.get(i).delRetentionDays %></td>
			
			</tr>
			<%
		}
		%>
	</table>
</div>

<script>

	//Chart.register(ChartDataLabels);
	
	var jBarctx = document.getElementById('dataUsage').getContext('2d');
	
	var greenGradient = jBarctx.createLinearGradient(0, 0, 0, 400);
    greenGradient.addColorStop(0, 'rgba(84,134,63,1)');    //91ABC9
    greenGradient.addColorStop(1, 'rgba(63,100,47,0)');
    
    
    
	function createGraph(){
		
    	if (typeof Chart === 'undefined') return;
    	
    	
    	<%
    	
    			
    	
    	
    	StringBuffer dataSets = new StringBuffer();
    	StringBuffer labelBuf = new StringBuffer();
    	for(UserHistoryBean rec : recs){
    		if(dataSets.length() > 0){ 
    			dataSets.append(",");
    			labelBuf.append(",");
    		}
    		dataSets.append(rec.getDiskUsageInMB());
    		labelBuf.append('\'').append(rec.getDateStr()).append('\'');
    	}
    	
    	
    	%>
    	//Network Chart Data
        var jobChartData = {
            labels: [
            	<%= labelBuf.toString() %>
            ],
            datasets: [{
                //label: "'1','2','3','4','5','6','7','8','9','10','11','12','13','14'",
                label: 'Disk Usage History',
                backgroundColor: '#283655',
                borderColor: '#283655',
                borderWidth: 1,
                data: [<%= dataSets.toString() %>],
                fill: false,
                tension: 0.5,
            
            }],
        };
    	
    	
    
        var jbarOptions = {
                legend: {
                    display: true
                },
                responsive: true,
                title: {
                    display: false,
                    text: ''
                },
                tooltips:{
                    mode: 'index',
                    intersect: true
                },
                hover: {
                    mode: 'nearest',
                    intersect: true
                }
                ,
                scales: {
                    
                    x: {
                        stacked: false,
                    },
                    y: {
                        stacked: false,
                        ticks:{
                        	callback: function(value, index, ticks){
                        		return value + ' MB';
                        	}
                        }
                    }
                }
                
                //,
                //plugins: {
                //     datalabels: {
                //    	 formatter: function(value, context) {
                //    		  return value + ' MB';
                //    		}	 
				//	
				//
                //     }
                //}
                  
            };
        
        
        
        
        
        ioNetworkChart = new Chart(jBarctx, {
            data: jobChartData,
            type: 'line',
            options: jbarOptions
        });
        


    }
    
	
	(function(window, document, $, undefined) {    
        $(function(){
            createGraph();
        });
    })(window, document, window.jQuery);
 
</script>

<br><br>





 
 

