<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%
String opp4ManageUsers = response.encodeURL("app?operation=manageUsers");
%>

<%@ include file="Header.jsp"%>

<div class="content-heading">
    <i class="fa fa-user"></i> User Profiles for: <%= request.getAttribute("userName") %>
   <small data-localize="dashboard.UserManagement"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>

<!-- 
<div class="well well-sm">
	<i class="fa fa-reply"></i>
	<a href="<%=response.encodeURL("app?operation=manageUsers") %>">Manage Users</a>
</div>
-->

<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
            <div class="panel-heading">Following is a list of profiles available for <%= request.getAttribute("userName") %></div>
			<div class="panel-body">
			
			
			
				<%@ include file="UserDiskUsageGraph.jsp"%>
                
                <div class="table-responsive">   
                
                
                <table class="table table-hover table-bordered">
                <tr>
                    <th>Profile name</th>
                    <th>Disk used</th>
                    <th>Last access date</th>
                    <th>Encrypted</th>
                    <th>Action</th>
                </tr>

                <%
                List<UserProfileBean> profiles = (List<UserProfileBean>)request.getAttribute("profiles");




                for(int i = 0; i < profiles.size(); i++){
                    String readonlyLink = "<a href=\"" + opp4ManageUsers + "&email=" + request.getParameter("email") + "&profileName=" + profiles.get(i).getProfileName() + 
                            "&st=mro\"  onclick=\"return hs.htmlExpand(this, { objectType: 'iframe'})\" >" + 
                            (profiles.get(i).isReadonly() ? "<i class='fa icon-lock' style='color:red' title='Profile is set to readonly - click to modify'> </i>" : 
                                "<i class='fa icon-lock-open'  title='Clients will be able to read and write to this profile - click to modify'> </i>") +
                                "</a>";
                    String readonlyAnchor = "<a href=\"" + opp4ManageUsers + "&email=" + request.getParameter("email") + "&profileName=" + profiles.get(i).getProfileName() + 
                            "&st=mro\"  onclick=\"return hs.htmlExpand(this, { objectType: 'iframe'})\" >Writability</a>";

                    %>
                    <tr>
                        <td><%=profiles.get(i).getProfileName() %></td>
                        <td>
                        <a tabindex="0" role="button" data-toggle="popover" data-trigger="focus" data-container="body"
                        title="Details" data-html="true" data-content="<b>Total files:</b> <%= profiles.get(i).getTotalFiles()%><br>
                         <b>Files with versions:</b> <%= profiles.get(i).getTotalVersionedFiles()%><br>
                         <b>Size - total:</b> <%= profiles.get(i).getDiskUsed() %><br>
                         <b>Size - versioned files:</b> <%= profiles.get(i).getTotalBytesForFilesWithVersion() %><br>
                         <b>Size - delta:</b> <%= profiles.get(i).getTotalBytesForDeltaFiles()%><br>
                         <b>Disk Saved w/Delta:</b> <%= profiles.get(i).getTotalSavings() %><br>
                         
                         
                         "><%=profiles.get(i).getDiskUsed() %></a>
			
                        
                        
                        
                        </td>
                        <td><%=profiles.get(i).getLastAccessDate() %></td>
                        <td><%=profiles.get(i).getEncrypted() %></td>
                        <td class="text-center">
                        	<!-- 
                        	<a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=configP"
                        	title="Configure Profile"
                        	><i class="fa fa-cogs"> </i> Configure</a> -->
                        
                        	
                            <a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=deleteProfile"
                            onclick="javascript:return confirm('This will delete every backed up file for the profile. Are you sure?')" 
                            title="Permanantly remove this profile from the server"
                            ><i class="fa icon-trash"> </i></a> &nbsp;&nbsp;
                            
                            
                            <!-- Button Boundary -->
                            <%=readonlyLink %> 
                            
                            
                            <!-- Button Boundary -->
                            &nbsp;&nbsp;
                            <a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=showLimits" 
                                title="Manage limitations" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"><i class="fa icon-note"> </i> </a>
                                
                            
                            <!-- Button Boundary -->
							&nbsp;&nbsp;
                            <%
                            if(profiles.get(i).isManualRestoreDisabled()){
                                %>
                                <i class="fa icon-action-redo" title="Manual Restore is disabled for SyncriBox when encryption is used"> </i>
                                <%
                            }else{
                            %>
                            <a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=restoreData" 
                                title="Restore Profile"><i class="fa icon-action-redo"> </i> </a>
                            <%
                            }
                            %>
							
							
							<!-- Button Boundary -->
                            &nbsp;&nbsp;
                            <%
                       
                            if(profiles.get(i).getRwpState() == UserProfileBean.RWP_STATE_DISABLED){
                            	%>
                            	<i class="fa icon-reload" title="Ransomware Prevention feature is disabled." style="color:silver"> </i>
                            	<%
                            }else if(profiles.get(i).getRwpState() == UserProfileBean.RWP_STATE_RESET_REQUESTED){
								%>
                            	<i class="fa icon-reload" title="A request to reset RWP has been submitted for this client." style="color:red"> </i>
                            	<%
                            }else{
								%>
                            	<a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=rwpreset" 
                                title="Reset Ransomware Prevention (RWP) Flag"><i class="fa icon-reload" > </i> </a>
                            	<%
                            }
                            
                            %>
                            
                                
                                
                                
                                
							<!-- Button Boundary Cloud-->
                            &nbsp;&nbsp;
                            <%
                            String cloudColor = profiles.get(i).isCloudable() ? "red" : "silver";
                            %>
                            <a href="<%=opp4ManageUsers %>&email=<%=request.getParameter("email") %>&profileName=<%=profiles.get(i).getProfileName() %>&st=cloud" 
                                title="Snapshots to public cloud"><i class="fa icon-cloud-upload" style="color:<%=cloudColor %>"> </i> </a>
                                
                                
                            
                            
                            <!-- Button Boundary DR -->
                            &nbsp;&nbsp;
                            <%
                            	String drColor = "silver";
                            	String drDiffUrl = "#";
                            	String drTitle = "Disaster recovery is disabled";
                            	if(profiles.get(i).getDrState() == UserProfileBean.DRS_DISPLAY_FILE_DIFF){
                            		drColor = "purple";
                            		drDiffUrl = opp4ManageUsers + "&email=" + request.getParameter("email") + "&profileName=" + profiles.get(i).getProfileName() + "&st=drstat";
                            		
                            	}else if(profiles.get(i).getDrState() == UserProfileBean.DRS_CURRENTLY_RUNNING){
                            		drColor = "green";
                            		drTitle = "A backup is currently in progress";
                            	}
                            	
                            	
                            	if(profiles.get(i).getDrState() == UserProfileBean.DRS_DISPLAY_FILE_DIFF){
                            		%>
                            		<a href="<%=response.encodeURL(drDiffUrl) %>" 
                                		title="File-Diff for disaster recovery">
                                	    <i class="fa icon-vector" style="color:<%=drColor %>"> </i> </a>
                                
                            		<%
                            	}else{
                            		%>
                            		<i class="fa icon-vector" style="color:<%=drColor %>" title="<%= drTitle%>"> </i>
                            		<%
                            	}
                            %>
                            
                                
                                
                            </td>
                    </tr>
                    <%
                }
                %>
                </table>
                </div>

                <p><b>Note:</b> Disk usage and last access date are updated after an actual backup is performed.</p>
            </div>
        </div>
    </div>
    
    
 <script>
 $(function () {
	  $('[data-toggle="popover"]').popover()
	})
 </script>
<%@ include file="Footer.jsp"%>
