<%@ include file="Header.jsp" %>
    
<div class="content-heading"><i class="icon-info"></i> About Syncrify
<%@ include file="Breadcrumbs.jsp" %>
</div>
<div class="row">
	<div class="<%=mainBodyColClass%>">
	  <!-- START panel-->
	  <div class="panel panel-primary">
	     <div class="panel-heading">About Syncrify</div>
	     <div class="panel-body">
	        <!-- START table-responsive-->
	         <div class="col-md-3"><img class="img-responsive" src="images/SyncrifyLogo.png" ></div>
	        <div class="col-md-9">
	        <h3>Syncrify - <small>Version: <%=com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion() %></small></h3>
		   <p>Syncrify is a fast, incremental, web-based backup software. <a href="http://syncrify.com" target="_blank">Click here</a> for more information.</p>
	        <div class="table-responsive">
	           <table class="table table-bordered">
	              <tbody>
	                 <tr>
	                    <th>Registered to:</th>
	                    <td><%=request.getAttribute("company") %></td>
	                </tr>
	                <%if(request.getAttribute("serialNumber") != null){ %>
	                <tr>
	                    <th>Serial number:</th>
	                    <td><%=request.getAttribute("serialNumber") %></td>
	                </tr>
	
	                <tr>
	                    <th>License count:</th>
	                    <td><%=request.getAttribute("userLicense") %></td>
	                </tr>
	
	                <tr>
	                    <th>Support Expiration:</th>
	                    <td><%=request.getAttribute("sceo") %>
	                    <%
	                    if(request.getAttribute("afscr").equals("true")){
	                        %>
	                        <a href="app?operation=suppr" title="Click here to renew your support contract"> (renew now)</a>
	                        <%
	                    }
	                    %>
	                    </td>
	                </tr>
	
	                <%} %>
	
	                <tr>
	                    <th>Edition:</th>
	                    <td><%
	                        out.print(request.getAttribute("edition"));
	                        if(request.getAttribute("isMacLic") != null){
	                            out.print("<br>(<a href='app?operation=vreg'>View registrations</a>)");
	                        }
	                    %></td>
	                </tr>	
	              </tbody>
	           </table>
	        </div>
	            <%
	            if(request.getAttribute("showPurchase") != null){
	
	                String pImage, pTitleDesc;
	                if(VisualUtils.getInstance().isPoT()){
	                    pImage = "images/UpgradeToProButton.jpg";
	                    pTitleDesc = "Upgrade to Professional edition";
	                }else{
	                    pImage = "images/PurchaseButtons.jpg";
	                    pTitleDesc = "Purchase additional licenses";
	                }
	            %>  
	                <div style="margin-top:10px; text-align:center;">
	                <a class="btn btn-sm btn-info" href="app?operation=buy" title="<%=pTitleDesc%>"><%=pTitleDesc%></a>
	                <a class="btn btn-sm btn-info" href="app?operation=buy&st=manualapply" title="Enter a different serial number by clicking here">Enter serial number</a>
	                </div>
	                
	             <%} %>
	        </div>
	        <!-- END table-responsive-->
	     </div>
	  </div>
	  <!-- END panel-->
	</div>

<%@ include file="Footer.jsp" %>