<%@page import="com.synametrics.syncrify.bean.ClientTLFHolderBean"%>
<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-cogs"></i> Configure Profile: <%= request.getAttribute("profDesc") %>
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"><b>Profile Name:</b> <%= request.getAttribute("pn") %></div>
				<div class="panel-body">

				
				
				
				<form type="post" action="<%=controllerPath%>">
				
				

				<!-- Nav tabs -->
				<ul class="nav nav-tabs nav-tabs-ar nav-tabs-ar-white">
				<li class="active"><a href="#schedPanel" data-toggle="tab">Scheduler Settings</a></li>
				<li><a href="#adOptionsPanel" data-toggle="tab">Additional Options</a></li>
				<li><a href="#tlfs" data-toggle="tab">Top-Level Folders</a></li>
				</ul>
				 
				 
				 
				<!-- Tab panes -->
				<div class="tab-content">
					<div class="tab-pane active" id="schedPanel">
					<!-- Scheduler Panel -->
					
					
					<div class="row">
						<div class="col-md-4">
						
							<div class="input-group">
								<div class="input-group-addon"><span class="fa fa-calendar"></span></div>
								<select class="form-control" name="schedType" id="schedType"> 
								  <option value="1" <%= (request.getAttribute("schedDaily") != null && request.getAttribute("schedDaily").equals("true")) ? "selected" : "" %> >Daily</option>
								  <option value="2" <%= (request.getAttribute("schedInterval") != null && request.getAttribute("schedInterval").equals("true")) ? "selected" : "" %>>Interval</option>
								  <option value="3" <%= (request.getAttribute("schedDisabled") != null && request.getAttribute("schedDisabled").equals("true")) ? "selected" : "" %>>Disabled</option>
								</select>
							</div>
					
						</div>
					</div>
					
					
					
					
					<br><br>
			
					<div class="panel panel-default">
					  <div class="panel-body">
				
							<div id="dailyDiv" <%= (request.getAttribute("schedDaily") != null && request.getAttribute("schedDaily").equals("false")) ? "style='display:none' " : "" %> >
							
							
								<p class="text-center">
								Choose a weekday and time to run backups
								</p>
								<div class="row">
									<div class="col-md-6">
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="sunday" value="1" <%= request.getAttribute("sunday") %> > Sunday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="monday" value="2" <%= request.getAttribute("monday") %> > Monday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="tuesday" value="4" <%= request.getAttribute("tuesday") %> > Tuesday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="wednesday" value="8" <%= request.getAttribute("wednesday") %> > Wednesday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="thursday" value="16" <%= request.getAttribute("thursday") %> > Thursday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="friday" value="32" <%= request.getAttribute("friday") %> > Friday
										  </label>
										</div>
										
										<div class="checkbox">
										  <label>
										    <input type="checkbox" name="saturday" value="64" <%= request.getAttribute("saturday") %> > Saturday
										  </label>
										</div>
									</div>
									<div class="col-md-3">
									
										<div class="form-group">
											<label for="hour">Hour</label>
											<select class="form-control" name="hourValue" id="hourValue">
												<%= request.getAttribute("hourOptions") %>
											</select>
										</div>
									</div>
									
									<div class="col-md-3">
										<div class="form-group">
											<label for="hour">Minutes</label>
											<select class="form-control" name="minutesValue" id="minutesValue">
												<%= request.getAttribute("minuteOptions") %>
											</select>
										</div>
									</div>
								</div>
								
							</div>
							
							<div id="intervalDiv" <%= (request.getAttribute("schedInterval") != null && request.getAttribute("schedInterval").equals("false")) ? "style='display:none' " : "" %> >
								<p class="text-center">Specify an interval in minutes.</p>
								
								
								<div class="row">
									<div class="col-md-4">
										<div class="form-group">
											<label for="runEvery">Run Every</label>
											<div class="input-group">
												<input type="number" class="form-control" id="runEvery" value="<%= request.getAttribute("intervalMinutes")%>" name="intervalMinutes">
												<div class="input-group-addon">minutes</div>
											</div>
										</div>
				  					</div>
								</div>
								
								
				  
							</div>
							
							<div id="disabledDiv"  <%= (request.getAttribute("schedDisabled") != null && request.getAttribute("schedDisabled").equals("false")) ? "style='display:none' " : "" %> >
								<h3>Scheduling disabled</h3>
							</div>
							
					
						</div>
					</div>
							
							
					<script>
						$('#schedType').on('change', function(){
							if ( this.value == '1'){
								
								$('#dailyDiv').show();
								$('#intervalDiv').hide();
								$('#disabledDiv').hide();
								
							}else if ( this.value == '2'){
								$('#dailyDiv').hide();
								$('#intervalDiv').show();
								$('#disabledDiv').hide();
							}else{
								$('#dailyDiv').hide();
								$('#intervalDiv').hide();
								$('#disabledDiv').show();
							}
						});
						
						
						
					</script>
					
					
					
					
					
					
					
					
					
					
					
					
					
					
					<!-- Scheduler panel ends here -->
					
					</div>
					
					
					<div class="tab-pane" id="adOptionsPanel">
					<!--  Additional options panel  -->
					
						<!-- Direction and times -->
					  	<div class="row">
					  		<div class="col-md-6">
					  		
					  			<%
					  			if(System.getProperty("allow.changing.direction.remotely", "true").equals("true")){
					  			%>
					  			<div class="input-group">
								  <span class="input-group-addon" id="direction">Direction</span>
								  <select class="form-control" aria-describedby="direction" name="direction">
								  	<option value="0" <%= (request.getAttribute("dirC2S") != null && request.getAttribute("dirC2S").equals("true")) ? "selected" : ""  %> >Client to Server</option>
								  	<option value="1" <%= (request.getAttribute("dir2WS") != null && request.getAttribute("dir2WS").equals("true")) ? "selected" : ""  %> >Two-way Sync</option>
								  	<option value="2" <%= (request.getAttribute("dirS2C") != null && request.getAttribute("dirS2C").equals("true")) ? "selected" : ""  %> >Server to Client></option>
								  	
								  </select>
								   
								</div>
								<%
					  			}
								%>
					  		
					  		</div>
					  		<div class="col-md-6">
					  			<div class="input-group">
								  <span class="input-group-addon" id="bType">Backup Type</span>
								  <select class="form-control" aria-describedby="bType" name="bType">
								  	<option value="1" <%= (request.getAttribute("btDelta") != null && request.getAttribute("btDelta").equals("true")) ? "selected" : ""  %> >Delta Backup</option>
								  	<option value="2" <%= (request.getAttribute("btSimple") != null && request.getAttribute("btSimple").equals("true")) ? "selected" : ""  %> >Simple Copy</option>
								  	<option value="3" <%= (request.getAttribute("btSmart") != null && request.getAttribute("btSmart").equals("true")) ? "selected" : ""  %> >Smart Backup</option>
								  </select>
						
								</div>
					  		
					  		</div>
					  		
					  	</div>
					
						<!-- Direction and backup type ends here -->
						
						<br><br>
						
						<!--  Email Recipient -->
					  	<div class="row">
					  		<div class="col-md-8">
					  			<div class="input-group">
							      <span class="input-group-addon">
							        <input type="checkbox" aria-label="Send email report to" <%= (request.getAttribute("sendReport") != null && request.getAttribute("sendReport").equals("true")) ? "checked" : ""  %> name="sendReport" > Send email report to
							      </span>
							      <input type="text" class="form-control" placeholder="Email that gets reports" name="reportRecipient" value="<%= request.getAttribute("reportRecipient") %>">
							    </div><!-- /input-group -->
					  		</div>
					  	</div>
					  	
					  	
					  	
					  	
					  	
					  	
					  	<!-- Additional options -->
					  	<div class="row">
					  		<div class="col-md-4">
					  			<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="Delete files from destination when source files are deleted."
								    name="delFiles" <%= (request.getAttribute("delFiles") != null && request.getAttribute("delFiles").equals("true")) ? "checked" : "" %> > Delete files
								  </label>
								  <!-- <a href=""><span class="pull-right" style="font-size: 1.2em"><i class="glyphicons glyphicons-question-sign"> </i></span></a> -->
								</div>
								
								
								<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="Compress in-transit data"
								     name="compress" <%= (request.getAttribute("compress") != null && request.getAttribute("compress").equals("true")) ? "checked" : "" %> > Compress Data
								  </label>
								  <!-- <a href=""><span class="pull-right"  style="font-size: 1.2em"><i class="glyphicons glyphicons-question-sign"> </i></span></a> -->
								</div>
								
								<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="If checked, multipler versions of the file will be kept on the server."
								    name="version" <%= (request.getAttribute("version") != null && request.getAttribute("version").equals("true")) ? "checked" : "" %> > Enable versioning 
								  </label>
								</div>
		
					  		</div>
					  		
					  		<div class="col-md-4">
					  		
					  			<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="If checked, VSS will be used on Windows to copy open and locked files."
								    name="vss" <%= (request.getAttribute("vss") != null && request.getAttribute("vss").equals("true")) ? "checked" : "" %> > Backup locked files
								  </label>
								</div>
								
					  			<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="Generate backup report only if errors occur."
								    name="repOnError" <%= (request.getAttribute("repOnError") != null && request.getAttribute("repOnError").equals("true")) ? "checked" : "" %> > Send email only on error
								  </label>
								</div>
								
								
								<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="Use folder cache"
								    name="fCache" <%= (request.getAttribute("fCache") != null && request.getAttribute("fCache").equals("true")) ? "checked" : "" %> > Use folder cache
								  </label>
								</div>
					  		</div>
					  		
					  		<div class="col-md-4">
					  			<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1" title="Remote Copy"
								    name="remCopy" <%= (request.getAttribute("remCopy") != null && request.getAttribute("remCopy").equals("true")) ? "checked" : "" %> > Remote copy
								  </label>
								</div>
								
					  			<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1"  
								    name="delABack" <%= (request.getAttribute("delABack") != null && request.getAttribute("delABack").equals("true")) ? "checked" : "" %> > Delete after backup 
								  </label>
								</div>
								
								<div class="checkbox">
								  <label>
								    <input type="checkbox" value="1"  
								    name="skipNewer" <%= (request.getAttribute("skipNewer") != null && request.getAttribute("skipNewer").equals("true")) ? "checked" : "" %> > Skip Newer Files 
								  </label>
								</div>
								
								
					  		</div>
					  	</div>
					  	
					  	
					  	
					
					
					
					</div>
					
					
					
					<div  class="tab-pane" id="tlfs">
						
						<table class="table table-hover table-bordered">
							<tr>
								<th>Path</th>
								<th>Selection Filter</th>
							</tr>
							
							<%
							List<ClientTLFHolderBean> tlfs = (List<ClientTLFHolderBean>) request.getAttribute("tlfs");
							
							if(tlfs != null){
								for(ClientTLFHolderBean oneTlf : tlfs){
									%>
									<tr>
										<td><i class="<%
											if(oneTlf.isPlugin()){
												out.write("fa fa-code-fork");
											}else{
												out.write("fa fa-folder-open");
											}
										%>"> </i> <%=oneTlf.getTlfPath() %></td>
										<td><%=oneTlf.getSelFilter() %></td>
									</tr>
									
									<%
								}
							}
							%>
						</table>
					</div>
					
					
					
					
				</div>

				<br>
				<div class="pull-right">
					<button type="submit" class="btn btn-warning"><i class="fa fa-save"></i> Save</button>
				</div>
				
				
				<input type="hidden" name="pn" value="<%= request.getAttribute("pn") %>"  >
				<input type="hidden" name="cpk" value="<%= request.getAttribute("cpk") %>"  >
				<input type="hidden" name="uid" value="<%= request.getAttribute("uid") %>"  >
				<input type="hidden" name="operation" value="ac"  >
				<input type="hidden" name="st" value="svp"  >
				
					
				</form>
				<!-- Blue panel body ends here -->
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>