<%@page import="java.util.List, com.synametrics.syncrify.bean.SyncriBoxClientBean"%>
<%@ include file="Header.jsp" %>


<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Default Folders
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
</div>




<div class="row">   
    
<%
String message = (String) request.getAttribute("errorMsg");
if(message != null){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=message %>
     </div>
  </div>
  <!-- END panel-->
</div>
    
<%
}else{
%>
    
<div class="<%=mainBodyColClass%>">
  <div class="panel panel-default">
     <div class="panel-heading">Using this screen you can specify a list of folders that are added to any new profile created on a client machine. Each path must appear on a separate line. Following variables can be used when specifying the values.</div>
     <div class="panel-body">
         <p>All of these variables <b>MUST</b> appear in the beginning of the path and are case-sensitive.</p>
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>Variable</th>
                    <th>Description</th>
                 </tr>
              </thead>
              <tbody>
                 <tr>
                    <td>$DESKTOP</td>
                    <td>Refers to the user's Desktop folder. For example, <code>$DESKTOP\Data</code> will expand to <code>C:\Users\JohnDoe\Desktop\Data</code> folder.</td>

                 </tr>
                 <tr>
                    <td>$DOCUMENTS</td>
                    <td>Refers to the user's Document folder. This is similar to Desktop but will refer to the Documents folder</td>
                 </tr>
                 <tr>
                    <td>$MUSIC</td>
                    <td>Refers to the user's Music folder.</td>
                 </tr>
                 <tr>
                    <td>$PICTURES</td>
                    <td>Refers to the user's Pictures folder.</td>
                 </tr>
                 <tr>
                    <td>$VIDEOS</td>
                    <td>Refers to the user's Videos folder.</td>
                 </tr>
                 <tr>
                    <td>$USERHOME</td>
                    <td>Refers to the user's home folder. For example, <code>$USERHOME\Desktop</code> will result in the same path as $DESKTOP</td>
                 </tr>  
              </tbody>
           </table>
        </div>
     </div>
  </div>
</div>    

<% } %>

<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-body">
         <fieldset title="Default Folders">
            <div class="notes">
                <h5>NOTE</h5>
                <p>Folders will only be added if they exist on the client's machine.</p>
            </div>
         </fieldset>     
        <form action="<%=controllerPath%>" method="post" class="form-horizontal">
           <div class="form-group">
              <label for="windows" class="col-lg-3 control-label">Windows:</label>
              <div class="col-lg-9">
                 <textarea name="windows" id="windows" class="form-control" rows="6" cols="60"><%=request.getAttribute("windows") %></textarea>
              </div>
           </div>
           <div class="form-group">
              <label for="mac" class="col-lg-3 control-label">Mac:</label>
              <div class="col-lg-9">
                 <textarea name="mac" id="mac" class="form-control" rows="6" cols="60"><%=request.getAttribute("mac") %></textarea>
              </div>
           </div>
           <div class="form-group">
              <label for="linux" class="col-lg-3 control-label">Linux:</label>
              <div class="col-lg-9">
                 <textarea name="linux" id="linux" class="form-control" rows="6" cols="60"><%=request.getAttribute("linux") %></textarea>
              </div>
           </div>       
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="mdfc">
            <input type="hidden" name="st" value="save">
        </form>
     </div>
  </div>
  <!-- END panel-->
</div>  

<%@ include file="Footer.jsp" %>