<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>

<%@ include file="Header.jsp" %>

<div class="content-heading">
		<i class="fa fa-user"></i>Manage Admin Users
		<small data-localize="dashboard.UserManagement"></small>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-default">
				<div class="panel-heading"></div>
				<div class="panel-body">


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><%=errorMsg %></div>
	<%
}
%>
<legend>Usage Tip</legend>
<blockquote class="box-placeholder">
		Admin users can modify configuration on the server but cannot run backup.
</blockquote>



<fieldset>
<legend>Add a new administrator</legend>
		<form action="<%=controllerPath%>" method="post" >
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">User ID:</label>	
				<div class="col-sm-8">
					<input class="form-control" type="text" name="uid" value="">
				</div>		
						
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">Password:</label>	
				<div class="col-sm-8">
						<input class="form-control" type="password" name="pwd" value="" autocomplete="off" >
				</div>		
						
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">IP Restrictions:</label>	
				<div class="col-sm-8">
					<input class="form-control" type="text" name="ip" value="">
				</div>		
						
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">IP Restrictions:</label>	
				<div class="col-sm-8">
					<input class="form-control" type="text" name="ip" value="">
				</div>		
						
		</div>
		<br>
		<DIV class="form-group clearfix">	
				<div class="col-sm-4"></div>
				<div class="col-sm-8">
						<button class="btn btn-sm btn-primary" type="submit" value="Add Administrator">Add Administrator</button>

				</div>		
								
			</DIV>
		<input type="hidden" name="operation" value="mngAdmin">
		<input type="hidden" name="st" value="addNew">
		</form>

	</fieldset>


<fieldset>
	<legend>Existing users</legend>

<form  action="<%=controllerPath%>" method="post">
		<%
		List userBeans = (List) request.getAttribute("userBeans");
		for(int i = 0; i < userBeans.size(); i++){
			AdminUserBean oneBean = (AdminUserBean) userBeans.get(i);
			
			%>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">User ID:</label>	
				<div class="col-sm-8">
					<%=oneBean.getUserId() %>
				</div>		
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">New Password:</label>	
				<div class="col-sm-8">
					<input class="form-control" autocomplete="off"  type="password" value="" name="v_P_<%=oneBean.getUserId() %>" />
				</div>		
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">IP restrictions:</label>	
				<div class="col-sm-8">
					<input class="form-control" type="text" value="<%=oneBean.getIpRestrictions() %>" name="v_I_<%=oneBean.getUserId() %>" />
				</div>		
		</div>
		<br>
		<div class="form-group clearfix">
				<label class="col-sm-4 control-label">Delete:</label>	
				<div class="col-sm-8">
					
					<label class="checkbox-inline c-checkbox">
						<input type="checkbox" value="1" name="v_D_<%=oneBean.getUserId() %>">
							<span class="fa fa-check"></span></label>
				</div>		
		</div>
	</fieldset>

	<center>
			<input class="btn btn-primary" type="submit" value="Save">
	</center>
		
		<%
			
		}
	%>

		<input type="hidden" name="operation" value="mngAdmin">
		<input type="hidden" name="st" value="save">


	

</form>



</div>
</div>
</div>

<%@ include file="Footer.jsp" %>