<%@ page import="java.util.*, com.synametrics.syncrify.bean.*" %>


<canvas id="memCanvas"></canvas>

<%
StringBuffer memoryTime = new StringBuffer();
StringBuffer totalMemoryBuffer = new StringBuffer();
StringBuffer allocatedMemoryBuffer = new StringBuffer();
StringBuffer usedMemoryBuffer = new StringBuffer();

new GraphBean().getMemoryUsageHistory(memoryTime, totalMemoryBuffer, allocatedMemoryBuffer, usedMemoryBuffer);

%>
<script>



var memConfig = {
		type: 'line',
		data: {
			labels: [<%= memoryTime.toString() %>],
			datasets: [{
				label: 'Max Memory',
				backgroundColor: '#aa3333',
				borderColor: '#aa3333',
				data: [<%= totalMemoryBuffer %>],
				fill: false,
			}, {
				label: 'Used Memory',
				backgroundColor: '#5a7d5c',
				borderColor: '#5a7d5c',
				data: [<%= usedMemoryBuffer %>],
				fill: false,
			},{
				label: 'Allocated Memory',
				backgroundColor: '#326bac',
				borderColor: '#326bac',
				data: [<%= allocatedMemoryBuffer %>],
				fill: false,
			}],
			
		},
		options: {
			responsive: true,
			title: {
				display: true,
				text: 'Memory Usage'
			},
			tooltips:{
				mode: 'index',
				intersect: true
			},
			hover: {
				mode: 'nearest',
				intersect: true
			},
			scales: {
				xAxes: [{
					display: true,
					scaleLabel: {
						display: true,
						labelString: 'Time'
					}
				}],
				yAxes: [{
					display: true,
					scaleLabel: {
						display: true,
						labelString: 'Value (MB)'
					}
				}]
			}
		}
		
			
	};
	
var ctx = document.getElementById('memCanvas').getContext('2d');
if(ctx == null){
	window.alert('CTX is null');
}
new Chart(ctx, memConfig);
	

	
	
</script>
