<%@page import="com.synametrics.syncrify.bean.ActiveClientBean"%>
<%@page import="com.synametrics.syncrify.bean.UserProfileBean"%>
<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-user"></i> Removing User
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">

				<!-- BODY GOES HERE -->
				
				
				<%
				List<ActiveClientBean> activeC = (List<ActiveClientBean>) request.getAttribute("ac");
				if(activeC != null){
					%>
					<h2>User Removal: <small>You're about to remove <b><u><%= request.getAttribute("email") %></u></b> from the system</small></h2>
				
					<div class="well">
					
					<p>Removing a user is a two-step process:
					<p>
					<ol>
						<li><b>Decommission Syncrify Client</b> - This deletes profiles on the remote client machine that connects to this Syncrify Server</li>
						<li><b>Account Removal</b> - Remove their account and delete data</li>
					</ol>
					<p>You will complete the first step using this page. Once Syncrify Clients are decommissioned, delete the same user again to complete Step 2.
					</p>
					<h3>Step 1</h3>
					</p>
					<p>Syncrify Clients configured for <b><%= request.getAttribute("email") %></b> are actively connecting to this server. 
					Therefore, you should decommission 
					these clients before removing the user's account. 
					It could take up to 15 minutes to decommission users. 
					This process deletes profiles on Syncrify Client that connect to this server, preventing 
					it from connecting in future. 
					</p>
					
					<p><b>VERY IMPORTANT:</b> Decommissioning will remove <b>EVERY</b> profile connecting to this
					server. If Syncrify Client's machine connects to this server using multiple accounts, consider 
					deactivating the user or deleting the account without 
					decommissioning by <a href="<%=response.encodeURL("app?operation=manageUsers&st=removeUser&email=" + request.getAttribute("email")) %>"
										title="Click to remove this user permanently">clicking here</a>.</b>
					</div>
					
					<table class="table table-bordered table-condensed">
						<thead>
							<tr class="active">
								<th>Host Name</th>
								<th>Build</th>
								<th>IP Address</th>
								<th>Running since</th>
							</tr>
						<thead>
							
							<%
							for(ActiveClientBean ac : activeC){
								%>
								<tr>
									<td><%= ac.getClientHostName() %></td>
									<td><%= ac.getClientBuildNumber() %></td>
									<td><%= ac.getClientIP() %></td>
									<td><%= ac.getClientRunningSinceAsString() %></td>
								</tr>
								<%
							}
							%>
					</table>
					
					<p>
					<div class="row">
						<div class="col-md-4 col-md-offset-4">
							<div class="alert alert-info">
								<center>
								<p>Click below to decommission Syncrify Client.</p>
						
									<a href="<%=response.encodeURL("app?operation=manageUsers&st=dcb4du&email=" + request.getAttribute("email")) %>"
										class="btn btn-warning" title="Click to decommission every client for this user.">Decommission</a>
								</center>
								
							</div>
						</div>
						<!-- 
						<div class="col-md-4 col-md-offset-4">
							<div class="alert alert-default">
								
								<a href="<%=response.encodeURL("app?operation=manageUsers&st=removeUser&email=" + request.getAttribute("email")) %>"
										title="Click to remove this user permanently">Click here</a>
								to delete the user without decommissioning the clients. You should do this if the machine running Syncrify Client
								connects to this server using multiple accounts and you just want to delete 
								<%= request.getAttribute("email") %>.
								
							</div>
						</div>
						
						 -->
						
					</div>
					</p>
					
					<%
				}else{
				
					List<UserProfileBean> profiles = (List<UserProfileBean>) request.getAttribute("profiles");
					if(profiles != null && profiles.size() > 0){
						%>
						
						<h2>Warning: <small>You're About to Permanently Remove <%= request.getAttribute("email") %></small></h2>
				
				
						<p>Following profiles are owned by this user:</p>
						
						<table class="table table-bordered table-condensed">
							<thead>
							<tr class="active">
								<th>Profile Name</th>
								<th>Disk Used</th>
								<th>Last Access Date</th>
								<th>Encrypted</th>
								
							</tr>
							<thead>
						<%
						for(UserProfileBean profile : profiles){
							
						%>
							<tr>
								<td><%= profile.getProfileName() %></td>
								<td><%= profile.getDiskUsed() %></td>
								<td><%= profile.getLastAccessDate() %></td>
								<td><%= profile.getEncrypted() %></td>
							</tr>
						<%
						}
						%>
						
						</table>
						<%
					}
					%>
					
					<p>
					
					<div class="row">
						<div class="col-md-4 col-md-offset-4">
							<div class="alert alert-info">
								<h4>Are you sure?</h4>
								<p>Files belonging <%= request.getAttribute("email") %> will be removed if you click the button below.</p>
								<center>
									<a href="<%=response.encodeURL("app?operation=manageUsers&st=removeUser&email=" + request.getAttribute("email")) %>"
										class="btn btn-warning" title="Click to remove this user permanently">Remove User</a>
								</center>
								
							</div>
						</div>
					</div>
					
					</p>
				<%
				}
				%>
				
				<!-- BODY ENDS HERE -->
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>