<%@page import="com.synametrics.syncrify.bean.AccessLogHolderBeanByDate, java.util.List"%>

<%@ include file="Header.jsp" %>

<div class="content-heading">Inactive User Report
<%@ include file="Breadcrumbs.jsp" %>
</div>
    
<div class="row">
<div class="<%=mainBodyColClass%>">
  <div class="panel panel-default">
     <div class="panel-heading">Displaying users who did not run a backup for the past <%=request.getAttribute("hours") %> hours</div>
     <div class="panel-body">
           <%
            if(request.getAttribute("logEntries") != null){
                List<AccessLogHolderBeanByDate> logEntries = (List<AccessLogHolderBeanByDate>) request.getAttribute("logEntries");

            %>
          <p>Entries in the table below are listed in reversed chronological order.</p>
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>User login</th>
                    <th>Profile name</th>
                    <th>Backup date</th>
                    <th>Ran for</th>
                    <th>Transfer size</th>
                    <th>Total files</th>
                 </tr>
              </thead>
              <tbody>
                  <%
                    if(logEntries.size() == 0){
                        out.println("<tr><td colspan='6' align='center'>No records found</td></tr>");
                    }


                    String lastDate = "";
                    for(int i = 0; i < logEntries.size(); i++){
                    %>	

                        <tr>
                            <td><img src="images/clientBackup.png" title="Host: <%=logEntries.get(i).getClientIP() %>, build number: <%=logEntries.get(i).getClientVersion() %>"> <%=logEntries.get(i).getUserEmail() %></td>
                            <td><%=logEntries.get(i).getProfileName() %></td>
                            <td><%=logEntries.get(i).getStartTimeString() %></td>
                            <td><%=logEntries.get(i).getRanFor() %></td>
                            <td><%=logEntries.get(i).getTotalBytesTransferredString() %></td>
                            <td><%=logEntries.get(i).getTotalFiles() %></td>
                        </tr>
                        <%		
                    }
                    %>
              </tbody>
           </table>
        </div>
     </div>
  </div>
</div>
<%
}
%>             
    
<%@ include file="Footer.jsp" %>
