<%@ include file="SetupTop.jsp" %>
 <div class="panel-heading">Administrator's Password</div>
    <div class="panel-body">
        
        <p><b>admin</b> is a special account on Syncrify. This account is used to modify configuration
		on your machine. It is very important you choose a password that is not easy to guess.</p>
        <form action="<%=controllerPath%>" method="post" class="form-horizontal">
            <div class="form-group">
              <label class="col-lg-3 control-label">Create Admin Password:</label>
              <div class="col-lg-9">
                 <input type="password" name="password1"  placeholder="Password" class="form-control" 
                 title="Type a password that you will be using to access the admin account" required>
              </div>
           </div>
            <div class="form-group">
              <label class="col-lg-3 control-label">Confirm Password:</label>
              <div class="col-lg-9">
                 <input type="password" name="password2"  placeholder="Confirm Password" class="form-control" 
                 title="Re-type the same password you typed above." required>
              </div>
           </div>
            <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <div class="checkbox c-checkbox">
                    <label for="restrictToLocalhost">
                       <input type="checkbox" id="restrictToLocalhost" name="restrictToLocalhost" value="localhost" <%=request.getAttribute("restrictToLocalHost") %> />
                       <span class="fa fa-check"></span><b>Restrict <u>admin</u> access to localhost:</b></label>
                 </div>
                  <span class="help-block m-b-none">If checked, no one will be able to connect using the <b>admin</b> account from any other machine but this (localhost) one. This can
                  be changed later on.</span>
              </div>
           </div>
		
	
		
		
		<div align="right">
			<button class="btn btn-default"  title="Click the next button when ready."><i class="fa fa-arrow-right" style="font-size: 72px;"></i></button>
		</div>
		
		<input type="hidden" name="operation" value="setup" />
		<input type="hidden" name="st" value="step3" />
		
		</form>
    </div>
		
		
		
		
		
<%@ include file="SetupBottom.jsp" %>