

<div class="row">
	<div class="col-md-8">

		<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
		   <div class="form-group">
		      <label for="adminEmail" class="col-sm-3 control-label">Administrator's Email:</label>
		      <div class="col-sm-9">
		         <input type="email" placeholder="Email" name="adminEmail" id="adminEmail"  value="<%= request.getAttribute("adminEmail") == null ? "" : request.getAttribute("adminEmail") %>" class="form-control" required>
		          <span class="help-block m-b-none">Email address of the administrator. It is very important to specify this value correctly.</span>
		      </div>
		   </div>
		   <div class="form-group">
		      <label for="smtpServer" class="col-sm-3 control-label">SMTP Server:</label>
		      <div class="col-sm-9">
		         <input type="text" placeholder="SMTP Server" name="smtpServer" id="smtpServer"  value="<%= request.getAttribute("smtpServer") == null ? "" : request.getAttribute("smtpServer") %>" class="form-control" required>
		          <span class="help-block m-b-none">SMTP server is required for out-bound emails. <a href="http://web.synametrics.com/SynaManSmtpHelp.htm" target="_blank">Click here</a> for help.</span>
		      </div>
		   </div>
		   <div class="form-group">
		      <label for="smtpPort" class="col-sm-3 control-label">SMTP Server Port:</label>
		      <div class="col-sm-9">
		         <input type="number" name="smtpPort" id="smtpPort" value="<%= request.getAttribute("smtpPort") == null ? "" : request.getAttribute("smtpPort") %>" placeholder="MTP Server Port" class="form-control" required>
		          <span class="help-block m-b-none">TCP/IP port for the SMTP server. The default value for this parameter is 25.</span>
		      </div>
		   </div> 
		   <div class="form-group">
		      <label for="smtpUser" class="col-sm-3 control-label">SMTP User:</label>
		      <div class="col-sm-9">
		         <input type="text" name="smtpUser" id="smtpUser" autocomplete="off" value="<%= request.getAttribute("smtpUser") == null ? "" : request.getAttribute("smtpUser") %>" placeholder="SMTP User" class="form-control">
		          <span class="help-block m-b-none">Specify a user name for SMTP authentication. Leave it blank if authentication is not required.</span>
		      </div>
		   </div>     
		   <div class="form-group">
		      <label for="smtpPassword" class="col-sm-3 control-label">SMTP Password:</label>
		      <div class="col-sm-9">
		         <input type="password" placeholder="SMTP Password" name="smtpPassword" id="smtpPassword" autocomplete="off" value="<%= request.getAttribute("smtpPassword") == null ? "" : request.getAttribute("smtpPassword") %>" class="form-control">
		          <span class="help-block m-b-none">Password for your SMTP server.</span>
		      </div>
		   </div>
		   
		   <div class="form-group">
		      <div class="col-lg-offset-3 col-lg-9">
		         <div class="checkbox c-checkbox">
		            <label for="useAdminAsSender">
		               <input type="checkbox" name="useAdminAsSender" value="true" id="useAdminAsSender" <%= request.getAttribute("useAdminAsSender") == null ? "" : request.getAttribute("useAdminAsSender") %> />
		               <span class="fa fa-check"></span>Use <b>admin's</b> email as sender</label>
		         </div>
		          <span class="help-block m-b-none">Use administrator's email in SMTP envelope. <a href="http://web.synametrics.com/Syncrify-admin-sender.htm">Click here</a>
		          for details.</span>
		      </div>
		   </div>
		   
		   <div class="form-group">
		      <div class="col-lg-offset-3 col-lg-9">
		         <div class="checkbox c-checkbox">
		            <label for="useWebSmtp">
		               <input type="checkbox" name="useWebSmtp" value="true" id="useWebSmtp" <%= request.getAttribute("useWebSmtp") == null ? "" : request.getAttribute("useWebSmtp") %> />
		               <span class="fa fa-check"></span>Use <b>WebSmtp</b> upon failure. </label>
		         </div>
		          <span class="help-block m-b-none">Routes emails through Synametrics WebSmtp server if an error occurs. <a href="http://web.synametrics.com/WebSmtp.htm" target="_blank">Details...</a></span>
		      </div>
		   </div>
		   
		   
		   
		   
		   <div class="form-group">
		       <label class="col-sm-3 control-label">Secure connection</label>
		       <div class="col-sm-9">
		          <label for="radioNone" class="radio-inline c-radio">
		             <input type="radio" title="Generated emails will be sent in plain text" name="smtpSecurity" id="radioNone" value="None" <%= request.getAttribute("smtpSecurity") == null || request.getAttribute("smtpSecurity").equals("None") ? "checked='checked'" : "" %> />
		             <span class="fa fa-check"></span>None</label>
		          <label for="radioTLS" class="radio-inline c-radio">
		             <input type="radio" title="Generated email will use STARTTLS extension for authentication." name="smtpSecurity" id="radioTLS" value="TLS" <%= request.getAttribute("smtpSecurity") != null && request.getAttribute("smtpSecurity").equals("TLS") ? "checked='checked'" : "" %> />
		             <span class="fa fa-check"></span>STARTTLS</label>
		          <label for="radioSSL" class="radio-inline c-radio">
		             <input type="radio" title="Generated email will use SSL for connection. You should also modify the port to 465 if you change this value." name="smtpSecurity" id="radioSSL" value="SSL" <%= request.getAttribute("smtpSecurity") != null && request.getAttribute("smtpSecurity").equals("SSL") ? "checked='checked'" : "" %> />
		             <span class="fa fa-check"></span>SSL</label>
		       </div>
		    </div>
		   <div class="form-group">
		      <div class="col-sm-offset-3 col-sm-9">
		         <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Save</button>
		      </div>
		   </div>
		    <input type="hidden" name="operation" value="config" />
		    <input type="hidden" name="st" value="saveSmtp" />
		</form>
		
		
		<a class="btn btn-sm btn-primary " href="<%=response.encodeURL("app?operation=config&st=usps") %>" 
			title="Send a test email. Save settings before clicking here."	
			onclickXX="return hs.htmlExpand(this, { objectType: 'iframe'})">Click here </a> to send a test message. Save settings before testing. 

	
	</div>
	<div class="col-md-4">

	
	<!-- START panel-->
    <div id="tabTip1" class="panel panel-danger">
       <div class="panel-heading">TIP:</div>
       <div class="panel-body">
       Emails are generated when:
          <ul  class="list-group">
		    	<li class="list-group-item">Backup reports are generated</li>
		    	<li class="list-group-item">Users forget their passwords</li>
		    	<li class="list-group-item">A security violation occurs</li>
		    </ul>
       </div>
       
    </div>
    <!-- END panel-->
	</div>
</div>	