<%@page import="com.synametrics.syncrify.bean.ClientRegBean, java.util.List"%>
<%@ include file="Header.jsp" %>


<div class="content-heading">
  <i class="fa fa-user"></i> Registered clients
</div>
<div class="row">
  <div class="<%=mainBodyColClass%>">
    <div class="panel panel-default">
      <div class="panel-heading"></div>
      <div class="panel-body">


<br>
<p>Following is a list of client machines that have been registered with this server. Each client machine uses
one license.</p>



	<div class="row">
		<div class="col-md-4">
			<table class="table table-hover table-bordered">
			<tr class="warning">
				<th align="right">Available client-machine licenses:</th>
				<td>&nbsp;&nbsp; <%=request.getAttribute("totalLicCount") %></td>
			</tr>
			
			<tr class="warning">
				<th align="right">Number of licenses in use:</th>
				<td>&nbsp;&nbsp; <%=request.getAttribute("totalUsedCount") %></td>
			</tr>
			</table>
		</div>
	</div>

	<%
	List<ClientRegBean> clients = (List<ClientRegBean>) request.getAttribute("clients");
	
	if(clients.size() == 0){
		%>
	
		<br><br><p>No clients have been registered yet.</p>
		<%
	}else{
		%>
	
		<h4>List of existing clients</h4>
		<div class="table-responsive">
		<table class="table table-condensed table-bordered table-hover" width="100%">
			<tr>
				<th>Client's host name/NIC</th>
				<th>Registration date</th>
				<th>User</th>
				<!--  <th>Last access date</th> -->
				<th>Action</th>
			</tr>
	
			<%
			for(int i = 0; i < clients.size(); i++){
				%>
				<tr<%
					if(clients.get(i).isStale()){
						%> class="danger" <%
					}
				%>>
					<td><abbr title="<%= clients.get(i).getLastConnectionDate()%>"><%=clients.get(i).getFormattedName()%></abbr></td>
					<td><%=clients.get(i).getFirstConnectionDate()%></td>
					<td>
					<%
					if(clients.get(i).getUserId().equalsIgnoreCase("NotAvailable")){
						%>
						<%=clients.get(i).getUserId() %>
						<%
					}else{
						%>
						<a href="<%=response.encodeURL("app?operation=manageUsers&st=viewProfile&email=" + clients.get(i).getUserId()) %>"><%=clients.get(i).getUserId() %></a>
						<%
					}
					
					%>
			

					
					</td>
					<!--  <td><%=clients.get(i).getLastConnectionDate() %></td> -->
					<td><a href="app?operation=vreg&st=r&host=<%=clients.get(i).getHostName() %>&cid=<%=clients.get(i).getClientId() %>"
					onclick="javascript:return confirm('This will unregister the client machine and release its license. Are you sure?')"
					title="Unregister this host from server">Unregister</a></td>
				</tr>
				<%
			}
			%>
	
		</table>
		</div>
		<p>
		<div class="alert alert-info"><h4>Note</h4>You will see <code>NotAvailable</code> under the <b>User</b> column if the client is running an older 
		version of Syncrify or has not connected to this Syncrify Server recently.</div>
		</p>
		<%
	}
	
	%>
</div>
</div>
</div>


<%@ include file="Footer.jsp" %>
